Issuu on Google+

Dining • Music • Sports • Arts • Fashion • Comedy • Clubs • Film • Lifestyle

Vol: 1 Issue: 42 October 16th, 2008

P H O E N I X • S C OT T S D A L E • T E M P E • P R E S C OT T • M E S A • C H A N D L E R • G I L B E R T • G L E N D A L E A N D M O R E


ARTS! SECTION

Cabaret Makes for Powerful Theatre By Nicholas Connell

Bravo to Arizona Broadway Theatre for stepping up to deliver a powerful production of Cabaret as their opening show this season. This exceptional performance of the Tony Award Winning production from 1967 is a must see for Valley theatre audiences. Directing and working the halls of the Kit Kat Club of 1930’s Berlin is Kiel Klaphake. Kiel’s interpretation of the spoils of Berlin during the rise of Hitler and the Nazi party are very sharp and definitive even now. With the current political malaise of war, money, and fear circling the globe, his keen perceptions of John Van Druten’s play is indeed striking and powerful. Anyone who knows Cabaret will tell you that you’ve got to have some diamonds in your pockets to make this show sparkle. And diamonds were everywhere in this cast for Klaphake to polish. Led by our emcee Kurtis Overby, the Kit Kat Club Cabaret flowed with the finest satire and movements that money could buy; in Berlin of course! Kurtis walked our hearts through the underbelly of disintegrating

German interwar society in the choice songs “Willkommen�, “Welcome to Berlin�, “Two Ladies�, and “The Money Song�. His melancholy touch during the radio tune “Tommorow Belongs To Me� and “I Dont Care Much� struck a visual and emotional chord anyone could understand and feel. His performance is the crown jewel! Leading the Kit Kat Club girls through their nightly escapades is Cassandra Klaphake as Sally Bowles, our tragic heroine. Cassandra’s presence is touching and romantic as she bears the soul of a scared singer trying to survive the crushing setbacks of love and loss. Her radiant voice shined in “Don’t Tell Momma�,�Perfectly Marvelous�, and the signature hit song “Cabaret�.

Also heartbreaking and immensely moving is the sub-plot relationship between the German landlord Fraulein Schneider, played by the talented Athena Hunting, and the Jewish fruit vendor Herr Schultz, played expertly by James Page. Athena’s portrayal of Schneider in “So What� and “What Would You Do?� were excellent. But her duets with

Herr Schultz in “It Couldn’t Please Me More� and “Married� were the sweetest all night.

There are more fine performances to remember during this two hour production, including Jason Paul as Cliff, Sally Bowles’s lover. Jason is vulnerable and naive in “Perfectly Marvelous� and “Don’t Go�. He’s even more courageous standing up to Nazi Ernst Ludwig, played by the convincing Andy Meyers. Also showing a touch of class is Jill Tieskoetter as Fraulein Kost. Her revealing interpretation of the Nazi theme song “Tommorow Belongs To Me� with Ernst and guests was chilling, to say the least. Our story would not have been a hit without the colorful and vibrant antics of the Kit Kat Girls and Boys. Overby’s choreography gave them life and humor all night, while the two-tier themed stage design of Renae Selmeyer made the stark realities of Berlin’s nightlife completely accessible. Finally, Jeff Kennedy and his band

made the music a treat all night while occupying the shadows of the Kit Kat Club. This writer will be back for an encore performance, and highly recommends you get a friend and catch Cabaret. It’s been twenty years since the last revival of this production, and the story’s wisdom and teaching on the human condition is as timely now as it was in ‘67. And don’t miss the German Chocolate Cake for dessert, too! Cabaret plays through November 16th. For tickets, call (623) 776-8400, or go to www.azbroadwaytheatre.com.

Ah, Italia! Enchanted April is a Marvelous Show a marvelous and funny production of Matthew Barber’s romantic comedy Enchanted April at the Herberger Theatre. The play, which opened on Broadway in 2003 to rave reviews, won the John Gassner Award for Best New American Play as well as a Tony Award nomination for Best Play. Director Timothy Near presents the story that revolves around a quartet of women who venture to Italy to escape the oppressive winter of London and the disillusionment of marriage and society in 1922 England. Act one unfolds as a rainy and depressing London finds our two new best friends, Lotty Wilson, played by the lovely and hyper Finnerty Steeves, and Rose Arnott, gracefully and wisely played by Kathryn Meisle, plotting to escape their gloomy London marriages and travel to the romantic paradise of Italy. The non-stop energy of the two performers makes for a wild and witty ride in this stormy London.

2

By Nicholas Connell Arizona Theatre Company opened their new season last weekend with October 16th - October 22nd, 2008

Add a mix of two more leading ladies played by the vogue, beautiful, and sensuous Monette Magrath as Lady Caroline Bramble, and the stern and self righteous Mrs. Graves, played to the hilt AZWeeklyMagazine.com

by Patricia Kilarriff, and you have the most unlikely set of roommates to ever set foot in Italy. The second act is transformed with a bright and impressive set designed by Kent Dorsey and company. Since “God is a man�, as Mrs. Graves proclaims, he must have loved Italy! But this is a play about love and loss; men and women; David and Goliath, wrapped around a time of great change with surprises that kept the laughs coming all night. Leading our balancing act of romance and intrigue are Tony Roach as Antony Wilding, the suave landlord who is just ripe for the taking; Matthew Flloyd Miller is vulnerable and excitable as Lotty’s husband, Mellersh Wilton. Not to be forgotten is the intriguing and sly Frederick Arnott, Rose’s husband, played flawlessly by Al Espinoza. There is a wealth of truth and love running through this Matthew Barber play. Thank God it arrived in Phoenix for ATC! Escape to Enchanted April through October 26th. For tickets, call (602) 2566995, or go to arizonatheatre.org.

T H E LI O N T H E W I TC H AN D T H E WARD RO B E O C T 0 9 ~T H RU ~ O C T 2 6 AT ME SA ARTS C ENTER TIC KETS $ 1 1

$"--              t FWDU PSH


Presented by Scottsdale Desert Stages Theatre

Through November 2nd Friday – Saturday, 7:30pm Sunday, 2pm This totally hip musical favorite takes the stage in a funky and fun R&B twist to L. Frank Baum’s well-loved tale, The Wizard of Oz. Creators Charlie Smalls and William F. Brown wrote this high-energy 70’s musical following the adventures of Dorothy, Scarecrow, Tinman, and Lion as they hip hop down the yellow brick road in search of a brain, a heart, courage, and most importantly, a way home. Enjoy fun and funky musical numbers like ‘He’s The Wiz’, ‘No Bad News’, and ‘Ease On Down The Road’.

(For more details and show info on the events listed below, log onto www.showup.com) Rent: School Edition Greasepaint Scottsdale Youtheatre Stagebrush Theatre Through October 26th Friday, 7pm Saturday- Sunday, 2pm & 7pm Treasure Island, The Musical Adventure Valley Youth Theatre Through October 26th Friday, 7:30pm Saturday, Noon & 3:30pm Sunday, 12:30pm & 4pm

Rigoletto

Presented by Arizona Opera Symphony Hall

October 16th – 19th Thursday – Saturday, 7:30pm Sunday, 2pm Verdi’s Rigoletto unveils a world where court jesters openly mock courtiers, thoughtless taunts lead to a deadly curse and comedy is the first act to tragedy. With fully realized characters and unforgettable music, Rigoletto has remained one of Verdi’s most popular operas. Gordon Hawkins returns to Arizona Opera in the title role of Rigoletto and brings to life the multi-dimensional character whose motivations are more complicated than they appear.

Chase ShowUp.com Hot Seat of the Week

Kristin Key The Comedy Spot Comedy Club October 17th -18th Friday – Saturday, 8pm & 10pm The Seven Year Itch Central Community Theatre Through October 19th Friday – Saturday, 8pm Sunday, 1:30pm

Presented by Arizona Theatre Company Herberger Theater Center

Free Cabaret with Cabaret Cast

Presented by Arizona Broadway Theatre

October 16th Thursday, 10pm “We have no troubles here! Here life is beautiful” boasts the Emcee of the deliciously tawdry Kit Kat Klub in pre-war Berlin. Follow the affair between the nightclub’s former star attraction and an American writer as love and humanity are tested by the marching forces of the Third Reich. Inspiring a widely acclaimed movie version starring Liza Minnelli, this decadent Kander and Ebb smash-hit musical features some of their most memorable numbers such as “Willkommen”, “The Money Song” and “Two Ladies”. After the show, Arizona Broadway Theatre is offering a special cabaret to showcase the talents of the cast of its production of Cabaret. These Cabarets are held in the lobby, begin at 10pm, and are open to the public, free of charge.

Gem of the Ocean Black Theatre Troupe Playhouse in the Park Through November 2nd Thursday – Saturday, 8pm Sunday, 3pm Kathleen Madigan Mesa Arts Center October 17th Friday, 7:30pm

Enchanted April

Through October 26th Wednesday – Thursday, 7:30pm Friday, 8pm Saturday, 2pm & 8pm Sunday, 1pm & 7pm ‘To those who appreciate wisteria and sunshine. Small castle on the Mediterranean, Northern Italy, to be let for the month of April.’ That simple newspaper notice seduces a quartet of British women to rent a villa for one blissful spring in 1922, where their lives of ordered regularity blossom into glorious disarray. Seduced by cinnamon breezes, they learn to let their hair and their guards down, and awaken to the simple joys of friendship, love, and marriage. A Tony-nominated Broadway hit based on the best-selling novel, Enchanted April is a heartwarming, verdant comedy about the romantic rediscovery of life’s enchantments. A lush, thoroughly refreshing theatrical holiday.

ARTS! SECTION

The Wiz

A Little Mischief Theater Works Through November 1st Thursday – Saturday, 7:30pm Sunday, 2pm

Visit the Chase Ticket Marketplace on ShowUp.com for discount tickets and special offers. This week’s “hot seat” is Friends and Favorites, featuring Dracula and La Llorona presented by Center Dance Ensemble. Herberger Theater Center Through October 19th Dracula Thursday & Saturday, 7:30pm La Llorona Friday, 7:30pm Sunday, 2pm Regular Price: $21 Discount Price: $10 Center Dance Ensemble’s 20th season starts with a program that features Dracula starring David Starry and La Llorona with D. Daniel Hollingshead as the Ranchero. They’ll be joined on stage by the CDE alumni dancers and companies with strong ties to Center Dance: The Movement Source Dance Company, FOOTWORK Dance Project, and Glendale College’s Physical Graffiti. AZWeeklyMagazine.com

Kidnapped by Craigslist Artists’ Theatre Project Soul Invictus Through October 19th Friday – Saturday, 8pm Sunday, 7pm Getting Near to Baby Childsplay, Inc. Tempe Center for the Arts October 19th - November 9th Saturday – Sunday, 1pm & 4pm Jungua – Descendants of the Dragon Del E. Webb Center for the Performing Arts October 19th – 20th Sunday & Monday, 3pm

October 16th - October 22nd, 2008

3


IN THIS ISSUE!

AZ Weekly Entertainment Magazine Volume 1, Issue 42 October 16th, 2008 Publisher Brian Muir brian.muir@azweeklymagazine.com Editor Kevin Lambert kevin.lambert@azweeklymagazine.com Staff Music Writer Kim Naugle kim.naugle@azweeklymagazine.com Staff Fashion Writer Kinsey Schofield kinsey.schofield@azweeklymagazine.com Art Director Kevin Kelley kevin.kelley@azweeklymagazine.com Office Manager Tami Kelley tami.kelley@azweeklymagazine.com SALES STAFF Nick Connell Senior Accounts Manager nick.connell@azweeklymagazine.com Brian Schreiner Director of Business Development brian.schreiner@azweeklymagazine.com Rebecca Ivory rebecca.ivory@azweeklymagazine.com Christina Forrester christina.forrester@azweeklymagazine.com Jeremy Cunday jeremy.cunday@azweeklymagazine.com CONTRIBUTING WRITERS Katie Hill • Victor P. Mariscal Patricia A. Farrell • Nick Connell FILM WRITERS Stan Robinson • Randy Montgomery David Ramsey

ON THE COVER: This year the annual Kokopelli Krush will be bigger and better than ever! It all started as a celebration of the grape harvest, but now it’s a Foot Stomping Party where teams of two compete to see how much grape juice they can make in just two minutes - with their feet Page 10

02 ARTS! 06 FILM! 10 DINE! 17 TUNE!

Enchanted April Page 2

18 CLUB! 24 LAFF! 26 RIDE!

Page 3

Quarantine Page 6 Kevin Nealon Page 25

Paul van Dyk Page 18

29 JAZZ! 30 LIVE!

Office & Fax: (602) 466-7422 www.azweeklymagazine.com

Distribution Valleywide provided by POGO Distribution

4

AZ Weekly Entertainment Magazine is published up to 52 issues per year by Advent Media Group, LLC with offices at 4400 N. Scottsdale Rd #9223  Scottsdale, AZ 85251.  AZ Weekly Entertainment Magazine is available free of charge and distributed Valleywide by POGO Distribution. The opinions expressed by the contributors and those interviewed are not necessarily those of AZ Weekly.  Contents in full or in part may not be reproduced without the expressed written consent of AZ Weekly. Advertisers assume full responsibility and liability for all content of their advertisements and for any claims arising from such advertising and represent that they have obtained all licenses, consents and waivers for all third parties who have text, photographical or graphical rights.  Readers are encouraged to verify any statements or claims made by advertisers. AZ Weekly Entertainment Magazine is not financially responsible for errors in advertising beyond the cost of the ad in which the error was made. AZ Weekly Entertainment Magazine reserves the right to refuse advertising or editorial not in keeping with the standards of this publication. For more information, please consult our web site at www.azweeklymagazine.com.  

October 16th - October 22nd, 2008

36 GAME! 38 GOTO! PRESCOTT

40 LOOK! 44 LIFE! 47 GROG! AZWeeklyMagazine.com

The Arizona Cardinals Page 36

Holiday Shopping Ideas Page 40


Chocoholics and art lovers, listen up! Inside Creative Minds’ new episode features local chocolate-maker Sam Filicetti, aka “Sam the Chocolate Guy”, and the crazy art style of painter Charles Sanderson. Sam’s new location for his chocolate business, ib2chocolate, will be behind the new restaurant Lemon, next to Drip Coffee House at 2325 N. 7th Street in Phoenix. Besides making chocolate, Sam will be one of Lemon’s chefs. Charles’ art has shown in many places around town, and you can check out samples on phoenixartspace.com. Sam and Charles talk about what inspires them, how they create, and much more on this month’s episode of Inside Creative Minds, which began airing on October 1st.

Inside Creative Minds is an in-depth, halfhour TV show that delves into the creative minds here in the Valley; exploring who they are, what they do, and why they do it. The goal of the show is to showcase the work, knowledge, passion, and talent of creative and artistic people throughout the Valley of the Sun and connect viewers with our growing,

2008-2009 Season October 2008

2 Terry Fator SOLD OUT . . . . . . . . . . . 8pm 19 Rick Springfield . . . . . . . . . . . . . . 7pm

November 2008 8

Rick Springfield

Canciones De Mi Padre Starring LINDA RONSTADT Featuring Mariachi Los Camperos de Nati Cano . 7:30pm

January 2009 16 24 25 31

The American Soul & Rock & Roll Choir Roger Williams . . . . . . . . . . . . George Winston . . . . . . . . . . . . Maureen McGovern . . . . . . . . . .

February 2009 The Oak Ridge Boys

vibrant culture. Inside Creative Minds features all types of creative pursuits, from dance to tattoos, filmmaking to cooking, architecture to sculpture, and so on. The show airs on Mesa, Chandler, Gilbert, Tempe, Scottsdale, Glendale, Litchfield Park, Queen Creek, and Peoria Channel 11s, ASUtv (Qwest channel 138 and Cox Channel 116), KNOW 99 (Cox channel 99 and Qwest channel 20), and Sun Devil Television. It’s also put on the web after it airs on TV at insidecreativeminds.com and phoenixartspace.com.

4 5 7 14 20

Moscow Cats Theatre . . . . Matt Dusk . . . . . . . . . Preservation Hall Jazz Band . Asleep At The Wheel . . . . 3 Redneck Tenors . . . . . .



            

    

. . . . .

. . . . .

. . . . .

. . 7pm 7:30pm . . 8pm . . 8pm . . 8pm

21 The Oak Ridge Boys. . . . . . . . . . . . 8pm 28 Roy Clark . . . . . . . . . . . . . . . . . 8pm

March 2009 1 8 19-21 21-22 27 28

2 18 19 25 26

   

. . . . .

. 8pm . 8pm . 3pm . 8pm

February 2009

One Night of Queen . . . . . . . Cherryholmes . . . . . . . . . . Around the World In A Bad Mood Around the World In A Bad Mood Ririe-Woodbury Dance Company. The World Famous Glenn Miller Orchestra. . . . . .

April 2009

        

. . . . .

. . . .

ARTS! SECTION

Creative Minds Invade Your Television Set

Sophie Milman . . . . . . Gaelic Storm . . . . . . . Jungle Jack Hanna . . . . KC and the Sunshine Band Ballet Folklorico . . . . . .

. . . . .

. . . . .

. . . . .

. . . . .

. . . . .

. . . . .

. . 7pm . . 3pm 7:30pm 2:30pm . . 8pm

. . . . . 8pm . . . . .

. . . . .

. . . . .

7:30pm . . 8pm . . 3pm . . 8pm . . 3pm

Purchase Tickets Online!

One Night of Queen

Simple. Fast. No Per Ticket Fees.

4 8 0 . 7 8 2 . 2 6 8 0 swww.ChandlerCenter.org

            

                

  



AZWeeklyMagazine.com

October 16th - October 22nd, 2008

5


FILM! SECTION

Experience Quarantine at Knott’s Berry Farm Story and Photos By Randy Montgomery

Stan Robinson, ScreenScene.org

Randy Mongomery, AZ Weekly Film Critic

WEEKEND BOX OFFICE BIGGIES Top Grossing Movies from October 10th through 12th

1 - Beverly Hills Chihuahua (Buena Vista) $17.5 million 2 - Quarantine (Sony/Columbia) $14.2 million 3 - Body Of Lies (Warner Brothers) $12.9 million 4 - Eagle Eye (Paramount/ Dreamworks) $10.9 million 5 - Nick and Norah’s Infinite Playlist (Sony) $6.4 million Source: Box Office Mojo (www.boxofficemojo.com)

Did You Know?

6

The movie role that jump-started Harrison Ford’s acting career is Han Solo in the Star Wars movies. Veteran actor Christopher Walken almost won the role! October 16th - October 22nd, 2008

A reality television host and her cameraman get locked inside a Los Angeles apartment building after bloodthirsty residents begin attacking one another in Sony Pictures’ Quarantine (now in theatres). If seeing the fright on screen is not enough, hop in the car and head to Knott’s Berry Farm in Buena Park.

the fright is right there in front of you. Within seconds, bodies hit the floor and residents come out to attack. You are then rushed down hallways and through rooms where evil lurks around every corner.

Every year, the popular Southern California family amusement park transforms into the largest, scariest, and most respected Halloween event in the county. Now in its 36th year, the 2008 Halloween Haunt features thirteen haunted mazes/attractions, seven live stage shows, and three scare zones. This year’s highlight, the Quarantine attraction, allows visitors to become fully immersed in the film. After leaving the comfort of the Fiesta Village section of the park, you walk through a set of doors into the maze, and that’s where the fun begins! You are brought into the lobby of the apartment building seen in the film. A staircase leads to the floor above, but

What Just Happened? By guest movie critic David Ramsey There have been many movies about the inside workings of Hollywood, but most of them are too inside for the general public. What Just Happened? directed by Barry Levinson is the rare insider movie that everyone will enjoy. Based on the book of the same name, the film was written by Art Linson, a successful Hollywood producer who was responsible for such films as Fast Times at Ridgemont High, Heat, and Fight Club. Ben (Robert De Niro) is a successful director whose last film failed and is now faced with personal and professional problems that come to a head in a two week period. His personal life is complicated with two exwives, a teenage daughter, and money problems. He needs his next two films to work but his big name action star shows up out of shape and sporting a Grizzly Adams beard, causing the studio to threaten to cancel the movie and sue him. Meanwhile, the art film he has entered in the Cannes Film Festival has a disastrous preview AZWeeklyMagazine.com

screening, forcing the studio president to demand changes. There is a lot going on as Ben struggles to maintain his powerful position, make everyone happy, and find happiness. Not since The Player has a movie about Hollywood been so enjoyable. Starring Robert De Niro, Bruce Willis, Stanley Tucci, John Turturro, Kristen Stewart, Catherine Keener, and Sean Penn. Directed by Barry Levinson; written by Art Linson, based on his book; Rated R for language, some violent images, sexual content and some drug material. David Ramsey is the President and co-founder of the Phoenix Film Critics Society and a member of the Broadcast Film Critics Association. Listen for his DVD and movie reviews just after 4:30pm. Tuesday and Friday on KMLE (107.9 FM) with “Big Shoe” Stu Evans, watch for him on the CBS 5 Morning News every Friday around 5:50am and on ABC-15’s Sonoran Living Live every other Friday. Contact David at David@TheSnackBar.com.

The Quarantine maze is one of the best movie tie-ins the park has done in years. Halloween Haunt takes place every Wednesday-Sunday in October. For more information, visit www.knotts.com.


By Stan Robinson

By Stan Robinson

The Secret Life of Bees

The thought of The same thing that’ll make you laugh, will make you cry is my sentiment as a few tears rolled down my face during the screening of The Secret Life of Bees. As we in the press left, there were a few teary eyes of both sadness and joy. Based on Sue Monk Kidd’s awardwinning best-seller, writer/director Gina Prince-Bythewood captures the period in history that a lot of us “boomers” vividly remember. It’s the summer of 1964, just after President Lyndon Johnson signed the Civil Rights Act into law. 14 year-old Lily Owens (Dakota Fanning) has a tough life. She has to constantly endure mental and physical abuse from her cold hearted, widower father (Paul Bettany). The housekeeper/nanny, Rosaleen (Jennifer Hudson, Dreamgirls), decides that she is going to register and vote, now that it’s the law. But Rosaleen is assaulted by some of the townspeople. Haunted by guilty memories of her mother, who died in a tragic accident when she was only four, Lily gathers the few mementos she has saved, including a picture of her mother, as she and Rosaleen start their journey to Tiburon, SC, and the 28-acre farm of the cultured, honey-making Boatwright sisters. It’s the only clue she has of her mother’s past. When Lily and Rosaleen arrive, they find a “Pepto-Bismol” pink house and the sisters dealing with issues of their own. The oldest sister and the anchor is August Boatwright (Queen Latifah). She puts Lily at ease with the statement, “Liftin’ someone’s heart, now that matters. The whole problem with people is they know what matters, but they don’t choose it.” There’s the staunchly independent

cellist, June (Alicia Keys), the vulnerable, simple-minded May (Sophie Okonedo), and August’s earnest godson (Tristan Wilds), who has dreams of becoming a lawyer. Prince-Blythewood has aptly guided the cast through an emotional delivery of how we all have personal issues and at the same time, how those issues make us human. Fanning carries the movie with the subtle emotion and spontaneity of an actor far beyond her years. In an interview with Dakota when she was 11 years old, I asked if any of her friends were actors. She answered, laughing, “None of them”. In The Secret Life of Bees, she delivers a character whose quest for family, hope, and love tugs at your heart as it rises above the physicality that might separate us as human beings.

FILM! SECTION

Also Opening This Week

Stan’s Pick Of The Week

Rachel Getting Married W

Directed by Oliver Stone and written by Stanley Weiser, “W” is a biographical, comedic, and dramatic presentation chronicling the life and presidency of George W. Bush (Josh Brolin). Only Oliver Stone could have pulled together such an impressive cast to include Sayed Badreya, Elizabeth Banks, David Born, Dennis Boutsikaris, Jesse Bradford, Jonathan Breck, Bruce Bryant, Ellen Burstyn, Rob Corddry, James Cromwell, Richard Dreyfus, Scott Glenn, Ioan Gruffudd, Toby Jones, and Stacy Keach.

Starring Dakota Fanning, Queen Latifah, Jennifer Hudson, Alicia Keys, Sophie Okonedo, Paul Bettany, Hilarie Burton, and Tristan Wilds. Fox Searchlight Pictures release; Rated PG-13 for thematic material and some violence; Runtime: 110 min.

Directed by Jonathan Demmes, whose films are always filled with rich and remarkable characters. In and out of rehab for the past ten years, Kym (Anne Hathaway) returns to the Buchman family home for her sister Rachel’s wedding (Rosemarie Dewitt). With a history of personal crisis and family conflict, the event should be joyous, but Kym’s appearance ignites long-simmering tensions in the family. Starring Anne Hathaway, Rosemarie DeWitt, Mather Zickel, Bill Irwin, Anna Deavere Smith, Anisa George, Tunde Adebimpe, and Debra Winger.

CHANDLER CINEMAS

EVERY SATURDAY NIGHT 11PM ($6) Max Payne

Coming together to solve a series of murders in New York City are a DEA agent (Mark Wahlberg) whose family was slain as part of a conspiracy and an assassin (Mila Kunis) who’s out to avenge her sister’s death. The race is on as the two are hunted by the police, the mob, and a ruthless corporation. Starring Mark Wahlberg, Mila Kunis, Beau Bridges, Ludacris, and Chris O’Donnell. AZWeeklyMagazine.com

$

2

ALL REGULAR SHOWS

(excluding special engagements) Now Open 7 Days a Week (Showtimes Online) Theatre Rentals & Group Discounts Available

(480) 821-1605

2140 N. Arizona Ave (AKA Country Club) & Warner, behind Target chandlercinemas@gmail.com

www.myspace.com/chandlercinemas

October 16th - October 22nd, 2008

7


FILM! SECTION

Sean Anders Invites You on a Sex Drive

By Randy Montgomery

In Sex Drive, Ian Lafferty (Josh Zuckerman) spends his days in a “Señor Donut” costume at the mall bring harassed by pre-teens and forced to sell guacamole-flavored bakery treats. He spends his evenings online chatting with “Ms. Tasty”, a bombshell who would like to meet him in person. Looking to get lucky, he steals his brother’s prized Pontiac GTO, and embarks on a crosscountry road trip with buddy Lance (Clark Duke) and gal-pal Felicia (Amanda Crew). Sex Drive is a crazy sex-comedy, so you know there are going to be a few bumps in the road! Writer/Director Sean Anders was on a much calmer road trip on his way to Phoenix when he spoke by phone with AZ Weekly about his new film. Anders is no stranger to the Valley- having lived here for several years- where he made his first feature Never Been Thawed in Mesa. NBT (as fans call it) is about a wacky bunch of frozen food enthusiasts. After screening at numerous festivals, Harkins Valley Art in Tempe hosted the official theatrical premiere. Loosely based on a novel, Anders and his co-writer were approached to work on the screenplay after being handed the book. “We really liked the premise,” he said. “It reminded us of a classic 80’s teen comedy, but we wanted to do something very different from what was in the book. The producer Bob Levy liked what we wanted to do, so we put a pitch together, took it around town and ultimately sold it to Summit Entertainment.”

8

Hollywood… we had a lot of that. The studio was really excited about the script. They pretty much gave us the green light off the first draft. We had the studio on our side from the beginning. They let us make our movie.” What you see on screen is quite different from what is in the book though. “Very little of the book is in the movie, expect the basic premise, the characters, and a couple of plot points,” explained Anders. “The book was aimed at a younger audience, therefore the story was a lot different. It was an original screenplay based on a premise from a book.” When asked how making Sex Drive differed from NBT, Anders responded, “The experience on NBT was invaluable. When we made NBT we were flying by the seat of our pants, we didn’t know what we were doing. We were making everything up as we went along. It was surprising when we were making a real movie, how similar it actually was. We just had to learn the jargon. We were doing a lot of the same things; we just didn’t know what to call it.”

Sex Drive is laugh-out-loud funny from start to finish, and features enough outrageous moments and creative comedy to make it far more entertaining and fast-paced than any Judd Apatow film. Anders proves the ability to not only write a unique and humorous script, but the ability to direct as well. We will be seeing much more of his talents coming to the big screen in the future. This outlandish road trip proved to easily be the funniest film of 2008 so far!

Anders and his team were given free reign from that point on: “In terms of creative control, in the grand scheme of

Summit Entertainment’s Sex Drive opens in theatres on Friday, October 17th.

October 16th - October 22nd, 2008

AZWeeklyMagazine.com

About Señor Donut By Randy Montgomery

Ian, the main character in Sex Drive, works at a mall donut shop and must wear a ridiculous “Señor Donut” costume which becomes a centerpiece of the film on many occasions, and the highlight of the theatrical trailer. “The donut costume was mentioned in the book, but didn’t really play a role,” says Director Sean Anders. “We thought we should do something with the donut costume, because it was a really funny idea.” Who created the look of the costume? “There were a lot of hands involved in that,” he says. “It was a team effort!” “If Todd McFarlane puts together a Señor Donut, I could die a happy man,” laughs Anders when asked if there would ever be a chance that his iconic character would ever hit store shelves.


FILM! SECTION

AZWeeklyMagazine.com

October 16th - October 22nd, 2008

9


DINE! SECTION

Kokopelli Krush

Celebrates the Almighty Grape

Chandler- This year the annual Kokopelli Krush will be bigger and better than ever! It all started as a celebration of the grape harvest, but now it’s a Foot Stomping Party where teams of two compete to see how much grape juice they can make in just two minutes - with their feet (Yes, they’ll be jumping barefoot into a barrel of grapes and squishing them between their toes)!

When, Where & How Much October 17th-19th Kokopelli Winery & Bistro 35 W. Boston Street, Historic Downtown Chandler Participants: $20 per team, pre-registrations recommended. Walk-ins welcome on a space available basis. (Warning: wear old clothes or a bathing suit – you will get purple!) Cost does not include wine-tasting. Spectators: $10 per person cover charge includes a souvenir glass, 6 tasting tickets, and $2 off coupon (no charge for children). Kid’s Krush, for children 12 and under: $10 per team.

Times

There will be three Krush events, held on Friday and Saturday: Friday, October 17th, 7:30pm Saturday, October 18th, 1:30pm and 7:30pm

10

October 16th - October 22nd, 2008

AZ WeeklyMagazine.com

New This Year

Sunday, October 19th, 1:30pm Following the final Krush Off, there will be a “Hollow Foot” Award for the teams who make the least juice, and a “Purple Foot” Award for the teams that make the most; the overall winner will qualify for the Grand Prize (a trip somewhere!)


DINE! SECTION Krush Trivia - 1500 lbs. of grapes - Hollow Foot winners krushed as much as 3.53 lbs. of juice last year - Purple Foot winners krushed just 1.08 lbs. - Don’t worry, we don’t make you drink the juice! There are lots of awardwinning Kokopelli wines and frozen wine drinks to quench everyone’s thirst! Food & Festivities Along with the Krush, we’ll have some activities for Kids on Saturday hosted by our friends from Home Depot, plus games like Grape Toss and Pin the Grape on the Barrel. There will be a special menu all weekend, with a sneak preview on Thursday night and available through Sunday. Live Music There’s live music at the Bistro Friday and Saturday, featuring: Friday, October 17th – 6:30 to 9:30pm - Big Zephyr (Rock ‘n roll) Saturday, October 18th – noon to 3pm - Alonzo (Caribbean/Reggae) 3pm to 6pm - Brotherhood (Blues) 7 to 10 pm - Honeyboy and the Smokehouse Players (Blues) For more information, call (480) 792-6927 or log onto www.kokopelliwinery.com. AZ WeeklyMagazine.com

October 16th - October 22nd, 2008

11


DINE! SECTION 12

Culinary Legends Gather for Eats³ Scottsdale- A new and distinctive experience is on this fall’s social calendar in Scottsdale, and it is one that will dazzle the world of food and wine. Three days and nights of the most enticing wines, epicurean adventures, and celebrity chef sightings will take place October 23rd-25th on Scottsdale’s SouthBridge.  Eats ³ is the culinary brainchild of Savor Scottsdale, a consortium of the city’s finest independent one-of-akind restaurants.  Sponsored by the prestigious Food & Wine Magazine and major distributor Southern Wine & Spirits, Eats³ boasts an ambitious schedule of events to delight throngs of the most devoted foodies and wine aficionados.    The ‘S to the third power’ tonguetwister refers to the weekend’s food, wine, and spirits focus.   “Sizzle, Sip, Swizzle; it’s certainly a mouthful, but that’s the idea,” says Scottsdale restaurateur and Savor Scottsdale board member Peter Kasperski. Fellow board member James Porter comments, “It’s a party for the palate. We’re giving the world’s foodies a taste of ‘big city’ dining, Scottsdale style.”   Festivities begin Thursday evening, with the ‘Food as Art’ CocktailInfused ArtWalk from 7pm – 9pm. The art will glow and so will the palates of art lovers as they enjoy signature cocktail creations by master mixologists from across the country.  Select galleries also will

October 16th - October 22nd, 2008

AZ WeeklyMagazine.com

host exclusive ‘Food as Art’ InGallery Dinners beginning at 8pm.  Diners will experience the thrill of tasting five courses of culinary art in an unprecedented, intimate gallery setting.  Each gallery will have its own personal Savor Scottsdale chef, a featured winemaker, and a very special visit by international culinary legend Jacques Pépin!    As Thursday evening’s events wind down, the festival milieu heats up with the official Eats³ Kickoff Party on the Bridge, connecting the Scottsdale Waterfront and SouthBridge from 9pm to midnight.  SouthBridge will be transformed into a chic, open-air lounge where guests sip cocktails and wine while DJs and VJs spin music and scenes under the stars as the weekend revs up in smooth Scottsdale style! Friday is awash in alluring wines as the day begins with private Library Wine Tastings, followed by a series of Savor Scottsdale Wine Lunches from noon to 2pm. The afternoon is rounded off with yet more private Library Wine Tastings.  Friday night lights up with the Charbay National Iron Bar Chef Competition, from 7pm– 10pm.  Hosted by worldrenowned master mixologist Tony Abou-Ganim, six of the USA ’s top bartenders will compete for the “Iron Bar Chef” title.   The Arizona Grand Tasting commences at SouthBridge on Saturday from noon to 4pm, with

more than 40 Arizona restaurants and 200 wineries pairing up in a magnificent culinary and wine tasting experience for all.  Guests will be enthralled with demonstrations by such culinary masters as the legendary Jacques Pépin, Top Chef winner Stephanie Izard, Wholesome Wave’s Michel Nischan, Food Network’s Bruce Seidel, and Emmy Award-winning Ming Tsai. The afternoon continues with yet more wine tastings, seminars, discussions, and a lively Battle of the Sexes between sommeliers!  See who really knows the palate when “he said, she said” takes center stage!     To cap off the entire Eats ³ gastronomic extravaganza is Saturday night’s Signature Scottsdale BBQ & Bubbles Finale from 7pm to 10pm, when the sun goes down and the red carpet rolls out on the Bridge at SouthBridge.  This elegant, champagne-infused barbecue is sure to provide effervescent thrills.  Competition will heat-up as teams of celebrity & local chefs strive to create the signature sizzle for Scottsdale’s grandest cookout.  Silent auctions throughout the evening consist of luxury vacation packages, chef surprises, wine rarities and culinary treasures. For more information on this spectacular culinary event, please log onto www.eats3.com.


Barcelona Supper Club recently hosted a casting call for Hell’s Kitchen, the popular FOX reality show that brings a dozen or so talented culinary folks from around the country to compete for the grand prize of a high-paying job in Chef Gordon Ramsay’s kitchen. Ramsay is the prototypical, diabolical kitchen nightmare for relatively untested cooks trying to prove themselves, reserving the pleasure of assaulting ineptitude and failure with profane insults and screaming attacks on the subjects’ self-esteem. The premise of the show focuses on which of the contestants can withstand the pressure of an overwhelmingly demanding authority figure while producing superior culinary creations, but this difficult burden of performing under high strain is not limited exclusively to Hell’s Kitchen contestants. The show’s Casting Producer, Chase Landau, and Assistant Casting Producer, Molly Fitzpatrick, know what it’s like to have to deliver the goods in the midst of chaos. As the 100-plus hopefuls filed in to Barcelona last week, it was up to Landau and Fitzpatrick to organize them into manageable groupings so that the filtering process could begin. The LA-based duo have worked closely together for years in their capacities as talent evaluators, and their smiles and easy-going attitudes belie a job that is a constant test of patience, organization, and ‘on the fly’ flexibility. Meet Chase Landau and Molly Fitzpatrick, the calm within the storm: AZ Weekly: Why is being a Casting Producer so challenging? Chase Landau: First of all, I love my job; I should be clear on that. But in this line of work, you don’t ever really have holidays, the hours are long, and there are so many people to choose from that it becomes difficult to manage sometimes. Molly Fitzpatrick: Yeah, when you’re doing a casting call, there are sometimes thousands of people you’ve never met who are all telling you at the same time why they should be the ones to get on the show. And every show is different, so you have to adjust to that. AZW: Where is the line between someone having a great personality versus just being totally obnoxious? CL: It’s a fine line, for sure. Like Molly said, with each show you have to use a case by case formula for what you’re looking for. People go over the top all the time, but we’ve been doing this for years, so by this point we can spot someone who’s faking it from a mile away.

Sunday, October 19, 2008 Desert Ridge Marketplace

Main Event & Executive Club: 6pm - 9pm Post Party in the Executive Club & Malee’s Thai Bistro: 9pm - Midnight

Featuring music by Big Mamma and White Bread, Rock Lobster, Wonderboogie and Casino Arizona's Showstoppers Live!

C

M

Y

CM

DINE! SECTION

Hell’s Kitchen: Chefs Not Only Ones Under Fire

presented by

benefiting

MY

CY

CMY

THE POWER OF POTENTIAL

K

For more info or to purchase tickets, visit www.uncorkedandunplugged.org or call 480.344.5681 today.

AZW: So what do you look for, in general terms? What would contestants do well to remember when they go to a casting call? CL: They have to be comfortable in their own skin, be at least a little outspoken, and have a strong personality. We look for that balance between substance and personality.

Now Serving Lunch and Sunday Brunch!

AZW: How does one become a Casting Producer? MF: People usually start as a PA (production assistant), and that’s the bottom of the barrel, really. That’s when you’re getting coffee and people are yelling at you. I started as a PA, then worked my way up to a casting coordinator, then kept working in different casting crews for different shows. It’s like most jobs; you gotta get your feet wet first, then get as much experience as you can. CL: It’s also important that you have to be good with people. You meet hundreds of people you’ve never met every day, and you need to be able to roll with the punches. If you’re not a people person, forget about getting into casting. AZW: Thanks ladies; it was educational! CL & MF: Thank you! Make sure to log onto www.fox.com/hellskitchen to find out all the latest news and schedule for Hell’s Kitchen.

New Hours:

Monday thru Saturday Open at 11 am Sunday Brunch 10 am - 2 pm

(regular menu served after 2 pm)

Visit the website for a complete listing of our nightly specials: www.armitagewine.com

at DC Ranch 20751 N. Pima Road, Ste 120 480.502.1641 Lunch

Dinner

Sunday Brunch

AZ WeeklyMagazine.com

Late Night Bites

Wine

Cocktails

Beer

October 16th - October 22nd, 2008

13


DINE! SECTION

MONDAY-SUNDAY OPEN TIL 2AM HAPPY HOUR MONDAY-FRIDAY 5-630 TUESDAY ALL NIGHT HAPPY HOUR 5-2AM OPEN MONDAY-FRIDAY 1130-2AM

Sushi & Bar

SATURDAY 12 NOON -2AM SUNDAY 4PM-2AM.

“You’re Gonna Like The Way We Cook...”

I guarantee it.

TEL 480-615-6000 1120 S. Dobson Rd. Mesa, AZ 85202

George Frasher Kevin

Patrick

George

Tim

Tim

H C N U L R O NF NOW OPE

(480) 429-9544

14

2122 N. Scottsdale Rd. Scottsdale October 16th - October 22nd, 2008

AZ WeeklyMagazine.com


Does

Your Business Need More From Your Printer?

New concept restaurant in Arrowhead, blending authentic Thai cuisine and the chic ambience of restaurants from around the world—New York, South Beach, Beverly Hills, Hong Kong and Bangkok.

DINE! SECTION

Print and Design, Simplified.

Business Cards • Postcards • Flyers/ Brochures • Magazines • Catalogs • Direct Mail • Letterhead • Envelopes • Calendars • Labels • Plastic Cards & Much More... •

The Valley’s Premier Printer! Business Cards to Billboards We Do It All Design, Print, Mailing and Fulfilment

1000

Business Cards Full Color Both Sides 16pt Stock + UV Coating

5000 4x6 Postcards Full Color Both Sides 16pt Stock + UV Coating

5000 8.5x11 Brochures Full Color Both Sides 100lb Gloss Paper

FREE $175 $365

*With the purchase of $300 or more! First Time Customers Only

*Limit one run per customer

*Limit one run per customer

Print Has Never Been So Easy!

866.774.6814

www.avaprint.com Scottsdale • Chandler • Mesa • Tempe • Phoenix • Glendale

Casual indoor/outdoor dining. Private/semi-private dining areas—Ideal for business lunches, wine tastings and private parties. Boutique wine lounge with wines from around the world, priced affordably, as well as premium vodka and tequila. Live music on Thursday, Friday and Saturdays. Private wine lockers available.

8350 W. Paradise Ln., Peoria, AZ 85282 (623) 979-9696 AZ WeeklyMagazine.com

October 16th - October 22nd, 2008

15


Advertise in AZ Weekly and gain access to over 4 million Phoenix-area residents

Phoenix Distribution AND Prescott Distribution Contact Brian Muir

(480) 405-2630

Chinese Cultural Center Asian Seafood Buffet

VAN BUREN

WASHINGTON ST.

10% Off With Free

Soda Refill Monday-Friday All Day

w/ Oysters

Free B-Day Dinner with I.D. Party of 4

Happy Hour Monday-Saturday 2-6 Reverse Happy Hour Tuesday-Thursday 9-12

Live Music Friday-Saturday 7EST$EER6ALLEY2OADs'LENDALE !RIZONA

g

0

Just North of 67th Ave & 101 At Deer Valley

pin

er nt Ce

op

Sh

Deer Valley

Loop 101

Tortilla Factory Rewards

$

15 Off any purchase of $50 or more

Limit one reward per table • Offer expires 10/31/08

16

October 16th - October 22nd, 2008

AZ WeeklyMagazine.com

59th Ave

Lunch $779 Dinner $1199 Weekends $12 50

N

NFL SUNDAY TICKET HAPPY HOUR MONDAY 2-12 HAPPY HOUR ALL DAY SUNDAY Sunday NFL Brunch 10-1pm

67th Ave

668 N. 44th St. Suite 101, Phoenix, AZ 85008 Tel: (602) 275-8889 • Fax: (602) 275-8907

s s s s

202 FWY

75th Ave

ASIAN SEAFOOD BUFFET

SUNDAY All You Can Eat Fish Fry $1099 44TH ST.

DINE! SECTION

Attention Valley Businesses:


Beastie Boys Rap the Vote

The Boston beat masters are hitting the open road and heading south, then west, across the country to mix up the middleof-the-roaders. The Beastie Boys have announced a trio of shows in swing states to encourage fans and folks in general to populate polls come Election Day. Richmond, Va, St. Paul, MN, and Milwaukee, WI, await the hip hop superiority of Mike D, Ad Rock, MCA, and Mix Master Mike on October 28th, November 1st, and November 2nd, respectively, timed to prime people’s energy on November 4th. The tour is called ‘Get Out and Vote’, and on different nights will feature the talents of Sheryl Crowd, Norah Jones, Jack Johnson, Satogold, Ben Harper, Tenacious D, and Crosby & Nash.

G ‘n R’s Chinese Democracy Set for Atypical Release

Axl Rose and mates are finally putting their decadeawaited album Chinese Democracy on shelves, though according to Billboard, because the band is engaged in an exclusive deal with Best Buy, the November 23rd release date falls on a Sunday instead of the usual Tuesday. Soundscan announces its sales information based on Tuesday release dates, but Best Buy’s sales tracking adheres to a Sunday-Saturday week, thus Guns ‘n Roses’ decision to post its product on the peculiar day.

Black Eyed Peas to Go Interactive after The E.N.D.

Will.i.am, Fergie, apl.de.ap, and Taboo; together the Black Eyed Peas, are currently wrapping up their 5th album, The E.N.D. (Energy Never Dies), and will try to get it on shelves for the holiday season. Will is convinced that 2008 is the last year that physical CDs will be the norm for music distribution, though, so from here on out, it’s all about the online scene. He recently explained that they have incorporated some new software peeps into the group in order to adequately prepare for the future, which will see the CD come full circle into the dinosaur destiny of Beta Max, VHS, and cassette tapes.

Cornell Ready to Calm Confusion

Big beats, less guitar, and a lot more scratching describe the new Chris Cornell album, Scream, produced by and featuring the talents of Timbaland. For Soundgarden and Audioslave fans, it might be a pretty big jolt. Cornell, however, is eager- not anxious- to expose his followers to his new sounds, which he has done a number of times throughout his career. From Soundgarden to Temple of the Dog, from solo albums like Euphoria Morning to his stint as frontman for Audioslave, Cornell has made it a habit throughout his career to reinvent himself. Scream, however, is definitively not rock ‘n roll, so it remains to be seen whether this abrupt style change will be as well-received as earlier, less risky departures from his previous approaches.

Billboard Top 5 Songs by Genre

Hot 100 1. 2. 3. 4. 5.

T.I. featuring Rihanna- Live Your Life T.I.- Whatever You Like Pink- So What Rihanna- Disturbia Kevin Rudolf featuring Lil Wayne- Let it Rock

TUNE! SECTION

C I S U M S W E N

R&B/Hip Hop 1. 2. 3. 4. 5.

T.I.- Whatever You Like Jennifer Hudson- Spotlight T-Pane featuring Lil Wayne- Can’t Believe It Jazmine Sullivan- Need U Bad Ne-Yo- Miss Independent

Country

1. Kenny Chesney- Everybody Wants to Go to Heaven 2. Darius Rucker- Don’t Think I Don’t Think About It

3. Toby Keith- She Never Cried in Front of Me 4. Carrie Underwood- Just a Dream 5. Kid Rock- All Summer Long

Rock 1. 2. 3. 4.

The Offspring- You’re Gonna Go Far, Kid Weezer- Troublemaker Staind- Believe Apocalyptica Featuring Adam Gontier- I Don’t Care   5. Rise Against- Re-Education

Contemporary Jazz (Albums) 1. 2. 3. 4. 5.

AZWeeklyMagazine.com

Fourplay- Energy Take 6- The Standard Kenny G- Rhythm & Romance Dave Koz- Greatest Hits Madeski Martin & Wood- Radiolarians I

October 16th - October 22nd, 2008

17


CLUB! SECTION

Paul van Dyk

You have been quoted as saying that you don’t classify your music as ‘Trance’ (Wikipedia says that, anyway). How do you classify your music? I think you’re referring to an interview I gave in 1994. I’m not denying trance, but so much of my music is combined from all sorts of different styles: house, techno, drum & bass, etc., with quiet, intense moments that don’t fit with stereotypical trance music. Trance so often means endless, stupid sequences that sound the same, and sometimes there is this utterly cheesy, quirky female voice singing. It’s not usually good sounding music, and is often performed with a laptop and no proper sound engineering.

18

October 16th - October 22nd, 2008

What’s the key to creating effective electronic music? It has to be intense. Electronic music is closer to classical music than popthere is an open space of structure, where emotions are brought out of you because of the energy of the music, not because someone is singing to you a love song and now you’re so sad. It’s a completely different element in electronic music; you let it get into you. That’s why some people are so passionate about it, and why some people don’t understand it; sometimes people don’t want that emotion. Some people are turned off by electronica because they don’t relate to songs where lyrics are deemphasized; they don’t understand the message. What would you say to these folks? Well there is a huge difference between vocal tracks and something I would do.

AZ WeeklyMagazine.com

It really comes down to what you’re looking for. If you are going out to hang out with mates and check out girls, the music isn’t really the reason you’re there. Sure, you might sing along with some of the songs and so forth, but people who go to clubs to hear me play are going because of the music. At the end of the night they’re soaking wet from dancing, and they have felt the momentum that comes from electronic music. It’s the difference between watching something and actually being involved with something.

I was. In that case, I would be a one name, one-hit wonder, and how many people have we seen come and go over the years?

When did you feel that you had ‘made it’ as a DJ? I never had a moment where I felt like I made it. If I ever feel like I’ve made it, I’ll stop making music. It has to be a challenge; a constant progression. Everything that’s developed around me, it grew naturally. I never had a point where I had one big hit and there

Thanks for your time, Paul, and we’ll see you in a couple weeks! Thank you! It’s been some time since I’ve been in Tempe, and I always had a great time there. Come to the show and you will see it shine through!

Who are you working with and listening to these days? I work with some amazing talents; it’s really exciting. One is Jon O’Bir; he’s just a phenomenal DJ. I’m a big fan of Lincoln Park, Placebo, and there is a young band from the UK called Bombast that I really like. My favorite music though is electronic.


Ove Hi-Dr 25 Scr ef een s!

Monday - Friday 4pm - 7pm $1 Tacos, Half Price Appetizers $3 Well, Wine, Domestic Drafts & Domestic Bottles $4 Import Drafts & Import Bottles

MONDAY NIGHT

MANIA OCTOBER 20th

DENVER BRONCOS AT NEW ENGLAND PATRIOTS

CLUB! SECTION

HAPPY HOUR Mill Ave’s Most Tempting Happy Hour

THE LIBRARY BAR & GRILL (5th and Mill in Downtown Tempe)

480-929-9002 www.TheLibraryUSA.com

Win Cash Prizes During Game!!

Heineken & Bacardi specials!!! (During Game)

THURSDAY

FREE

TUESDAY $2 TUESDAYS

FRIDAY

$2 Wells, Domestic Bottles, and Domestic Drafts 8p-close DJ Earth Also Heard on KISS 104.7 FM

HREE LIVES VODKA & DJ Steel TheLibrary Valley’sBar & Grill The Hottest Duo present

TheWEDNESDAY Human Race Appreciation Day THE ULTIMATE FIGHTER

PARTY EnjoyVIEWING Martinis, Manicures 7pm and Massages Kick it with Ryan

“Darth” Bader & other UFC and MMA Stars

Every Wednesday

6 -DJ 10pm D-Swift

And Three Olives Vodka host the Ladies Lounge 10pm-close www.libraryusa.com

For VIP Reservations, contact Jake@TheLibraryUSA.com7/17/2008

Library 3 Olives 3x5.indd 1

The Trivia Starts at 6pm

Rockin Specials with SoCo, Jack & Heineken!

Your chance to win $500

AZ’s Best...DJ Steele $5 Three Olives & Red Bull 10pm to close

SATURDAY

Call Library for details

SUNDAY NFL Headquarters t All-You-Can-Eat Breakfast Buffet (till 11am) t The Hottest Bloody t Mary Bar in Town!!

4:26:12 PM

AZ WeeklyMagazine.com

KISS FM’s #1 DJ DJ Aaron Taylor 10pm - Close $5 Three Olives & Red Bull 10pm to close October 16th - October 22nd, 2008

19


CLUB! SECTION

Bartending Academy Get the Best Training to Make the Best Money

Cocktail Corner Scooby Snack 1 oz Malibu rum ½ oz Midori melon splash Pineapple juice splash cream

Be Ready to Work in 1 or 2 Weeks Day and Evening Classes Payment Plans Available Nationwide Job Placement Assistance DLLC Approved Training & Certification

Shake in a shaker, strain through a strainer, then drink through a drinker! We welcome any explanations for the name ‘cause we don’t have any hard evidence of where it came from. Some speculation points to an early 90s bartender from San Diego named Lewis Leopold who combined his love for dogs, Funyuns, and hallucinogenic drugs to come up with this intriguing shooter. But that’s just speculation.

1 800 Bartend Enroll Now! Visit us online at www.pbsa.com East Campus 480-921-9925 West Campus 602-548-1300

>ˆÀÌi˜`ˆ˜}ÊUÊ >ÀÊ>˜>}i“i˜Ì >ÀÊ>}ˆVÊ >ÃÃiÃÊUʈݜœ}Þ

Sponsored By:

The Bartending Academy Call 1-800-BARTEND

Hotel Indigo Embraces Halloween Faces Scottsdale- There’s more than Fall in the air at Hotel Indigo in Scottsdale, and those looking for holiday ideas are destined to find them at the Halloween Happy Hour to be held October 23rd from 5-7pm. Make-up tricks, including secrets for creating black eyes, bruises, and scabs, will be presented by Scosh Makeup & Skincare Studio. Haunted cocktails and treats, plus ideas for dressing up, showcased by Mardi Gras Costumes, are guaranteed to deliver ghoulish fun. So bring your family, friends, or co-workers and learn how

you can use a little creative energy to make this Halloween your creepiest! Hotel Indigo- located at 4415 N. Civic Center Plaza- is a boutique-style hotel in the heart of downtown Scottsdale’s shopping, dining, nightlife, and art districts. The service-oriented hotel features luxurious rooms, a bistro-style restaurant and lounge, and 24-hour complimentary fitness and business centers. For more information, or to make reservations, call (480) 941-9400 or visit www.ScottsdaleHipHotel.com.

CLUB! DIRECTORY

Axis/Radius

7340 E. Indian Plaza – Scottsdale 480-970-1112 www.axis-radius.com Open Thur-Sat

Barcelona

15440 Greenway-Hayden Loop – North Scottsdale 480-603-0370 www.barcelonadining.com Open Mon-Sat

The Big Bang

501 S. Mill #B101 – Tempe 480-557-5595 www.thebigbangbar.com Open 7 Days

Black Card

6910 E Shea Blvd– Scottsdale 480-991-2833 www.blackcardscottsdale.com

Cocomo Joes

28244 N. Tatum Blvd. – Cave Creek 480-538-8008 www.cocomojoes.com Open 7 Days

20

October 16th - October 22nd, 2008

AZ WeeklyMagazine.com

Drinx-Scottsdale

7330 E. Stetson – Scottsdale 480-423-9434 www.drinxscottsdale.com www.myspace.com/drinxscottsdale Open Tues-Sat

e4

The Library Bar & Grill

Myst Nightclub

Maloney’s Tavern

Sandbar Mexican Grill

501 S. Mill Ave. – Tempe 480-929-9002 www.thelibraryusa.com Open 7 Days

4282 N Drinkwater Blvd. - Scottsdale VIP Reservations: (480) 734-9181 www.e4-az.com

8608 E Shea Blvd - Scottsdale 480-889-1188 www.maloneystavern.com Open 7 Days

Hurricane Bay

Maloneys On Campus

4139 W. Bell Rd. – Phoenix 602-843-6100 www.hurricanebaynightclub.com Open Wed-Sun

Joe’s Grotto

13825 N. 32nd St. – Phoenix 602-992-1007 www.joesgrotto.com Open 7 Days

Last Exit

1425 W. Southern Ave. – Tempe 480-557-6656 www.lastexitlive.com Open Tues-Sun

955 E. University Dr. – Tempe www.maloneystavern.com 480-894-2224 Open 7 Days

Forbidden Night Club 6820 E. 5th Ave. Scottsdale, AZ 85251 www.forbiddenaz.com 480-994-5176 Open Wed-Sun till 2am - 2 rooms, 2 DJs, 2 dance floors

Mulligan’s Brick Bar 7318 E. Stetson Dr. – Scottsdale 480-947-8188 www.myspace.com/mulligansbrickbaraz Open 7 Days

7340 E. Shoeman Lane – Scottsdale 480-970-5000 www.mystaz.com Open Wed, Fri, Sat

10050 N. Scottsdale Rd. – Scottsdale 480-998-8845 www.sandbaraz.com www.myspace.com/sandbaraz Open 7 Days

San Felipe’s Cantina

San Felipe’s Cantina - Tempe Marketplace 2000 E. Rio Salado Parkway, Tempe  85281 COMING SOON - Desert Ridge www.myspace.com/sanfelipescantina www.sanfelipescantina.com Tempe~Flagstaff~ And Desert Ridge (Coming this Fall)

Suede Restaurant & Lounge 7333 E. Indian Plaza – Scottsdale 480-970-6969 www.suedeaz.com Open Tues-Sun


CLUB! SECTION

AZ WeeklyMagazine.com

October 16th - October 22nd, 2008

21


CLUB! SECTION 22

October 16th - October 22nd, 2008

AZ WeeklyMagazine.com


CLUB! SECTION

Scottsdale.com Scottsdale.com Where The Locals Go

Scottsdale.com is your complete resource for everything local. From a city directory, news, event calednar, coupons, golf packages, real estate and more! And now Scottsdale.com is your blogging community.

BLOGGERS WANTED: Scottsdale.com is currently looking for people who are passionate about what they love. It can be about your business, industry, hobby, likes or dislikes. You can write about the local sports teams, the best restaurants in town, best places to hike, what you did last weekend....the possibilities are endless. All we are looking for is people who have lots of opinions and are passionate about what they write about. For business owners, you will receive free advertising on the site just for being a frequent blogger. Being a part of Scottsdale.com gives you a greater amount of exposure, greater search engine visibility and more traffic. We don’t mind if you’ve never blogged before. We will help set up your blog and get you on the road to writing. It is easy to join! All you have to do is think about what you are passionate about and give us a call.

To join the Scottsdale.com blogging family just call 480-505-7680. AZ WeeklyMagazine.com

October 16th - October 22nd, 2008

23


LAFF! SECTION

Joke of the Week

Deep Thoughts of the Week

What’s the difference between in-laws and outlaws? Outlaws are wanted

If corn oil comes from corn, and olive oil comes from olives, where does baby oil come from?

Why are there interstate highways in Hawaii? Whose turkey sandwich is this in the refrigerator? Can I have it?

www.seanhoy.com

www.seanhoy.com

24

Why isn’t ‘phonetic’ spelled the way it sounds?

October 16th - October 22nd, 2008

AZWeeklyMagazine.com


Friday, October 24th and Saturday, October 25th 8pm and 10pm

...because life is too important to be taken seriously!

!RIZONA•S0REMIER#OMEDY#LUB &ULL"AR2ESTAURANT 4HE.ATION•S&UNNIEST#OMEDIANS

LAFF! SECTION

Kevin Nealon Laughs Up the Improv

ALL SHOWS 18 and OVER!

/CTTH 3HERIFF*OE•S0INK2IBBON#OMEDY4OUR /#4/"%2 

4/-7),3/. • • •

Biff from “Back to the Future� Tonight Show w/Jay Leno Freaks and Geeks /#4/"%2 

+EVIN.EALON • • • •

Saturday Night Live Showtime’s “Weeds� Happy Madison Productions Over 24 comedy movie starring roles

/#4OBER ./6EMBER

-)+%%003 t NEXT FRIDAY t ALL ABOUT THE BENJAMINS t RESIDENT EVIL

As a cast member of Saturday Night Live (1986-1995), Kevin Nealon is most recognized for the characters he created, including The Subliminal Man and Franz from ‘Hans and Franz’, as well as his anchorman role for the hilariously irreverent Weekend Update. His extensive television credits include guest appearances on such award winning shows as The Larry Sanders Show, Fat Actress, Curb Your Enthusiasm, and Comedy Central’s Crank Yankers. Nealon, who made his film debut in the 1987 romantic comedy Roxanne with Steve Martin, has gone on to star in over two dozen comedies, including Happy Gilmore and The Wedding Singer- both with Adam Sandler- Joe Dirt with David Spade, Anger Management with Jack Nicholson, Daddy Day Care with Eddie Murphy, and Grandma’s Boy. He is currently starring in the critically acclaimed Golden Globe nominated Showtime series, Weeds. Nealon also stays busy performing stand-up comedy around the country and can be seen in his own stand-up special on Comedy Central.

./6%-"%2 

$!6%!44%,, t t t t

Insomniac The Jon Stewart Show Comedy Central, MTV, HBO The Gong Show

To make dinner reservations or to schedule a large party with special rates (groups of 20 or more), please call us at:

Box Office: (480) 921-9877 930 E. University Dr., Tempe Note: 2 item minimum food or drink. Buy Tickets Online at:

WWWTEMPEIMPROVCOM AZWeeklyMagazine.com

October 16th - October 22nd, 2008

25


RIDE! SECTION

Money, Mystique Make Motorcycles Must-Have’s By Patricia A. Farrell, Ph.D. As the price of gas has risen, the allure of the bike has gained new interest from those who always wanted one and those who dared to dream of that “Easy Rider” existence. Legions of hog lovers gather each year for the annual meets in cities both large and small around the US, and wherever they meet, they are greeted with a mixture of awe and trepidation. They are, of course, Harley-Davidson motorcycles, but they could be Honda, BMW or Kawaski, and their riders, according

to research, are getting older and older. The pony tails are white, the washboard stomachs are gone, and arthritis is stiffening the riders’ frames, but the spirit lives on. When we look at motorcycles, what do we see? Raw, untamed power and a sense of freedom? Perhaps. But what about the sexuality of the motorcycle? Where else are you going to get over 100 hp between your legs and keep it there for hours? There is something else associated with motorcycle riding; the thrill of living a sort of ‘rebel’ life. Today’s

average rider isn’t the beer swilling, swaggering Marlon Brando or “The Wild One” type. More often they are software engineers who have a secret wish to get out of their ‘by the numbers’ world, or ‘empty nesters’ who now have the kids out of the house and are going to drink in that new-found freedom and re-capture some piece of their lost youth. A third group would be composed of those who have a personality type we call ‘Type T’, or thrill-seeking tendencies. They love the buzz of wind in their hair and the testing of fate by taking risks to pump up

that adrenaline. It’s a motorcycleengendered high, and probably most riders enjoy a bit of all of these emotions.

AWESOME LUBE & TUNE C omplet e

Oil & Filter Change Only (with Coupon) 10W30 oil. Up to 5 quarts

A u t o m o t i v e

$9.99

480 968-1384

2408 E. Apache Blvd (East of 101, North side of Apache) 26

October 16th - October 22nd, 2008

Re pa ir

AZWeeklyMagazine.com


RIDE! SECTION

WHOLESALE TO THE PUBLIC

'.JZ`feK:(,#00,/,,*,8 '.=fi[DljkXe^9+''*

C@B<E<N '/:_ipjc\iJ\Yi`e^9+(*(

I<8;PKF;I@M< 8N8PKF;8P

9<8LK@=LC#NFEKC8JK ',?fe[X:`m`Z9+((+

JG<:@8C# JG<:@8C#JG<:@8C

'*GK:il`j\i('#00,/*,',8

9**++('#000

JLG<I:C<8E

C@B<E<N 9+((/(*#00/

9,,*,8(*#000

<8JP=@E8E:<FGK@FEJ

N<<B<E;FECPJG<:@8C 9+'+-(+#,''

9**.0(0#0,'

=I<<>8J

N@K?K<JK;I@M< :8CCKF;8P

;I@M<@K8N8PKF;8P

NFEÃ&#x2039;KC8JKCFE>

Bell Rd.

www.courtesyonbell.com AZWeeklyMagazine.com

16th St.

602-490-8112

7th St.

1550 East Bell Road Phoenix, AZ

Greenway Pkwy. October 16th - October 22nd, 2008

27


RIDE! SECTION

8L:K@FE N\[e\j[Xp#Efm\dY\i,#)''/#('8D 98EBILGK:@<J#YXebi\gfj#ZfigfiXk\ c`hl`[Xk`fejXe[gi`mXk\Zfej`^efij#nXi\_flj\ Xe[pXi[XlZk`fek_\ÔijkN\[e\j[Xpf] \m\ipdfek_#n\Xi\efnXZZ\gk`e^hlXc`kp Zfej`^ed\ekj]fik_`jXlZk`fe%

K_lij[Xp#Efm\dY\i-#)''/#-GD I\Xc<jkXk\#(0clolipZfe[fj`eJZfkkj[Xc\# 8i`qfeXkfY\XlZk`fe\[#Xkc\Xjk-kfj\cc 89JFCLK<kfk_\_`^_\jkY`[[\ii\^Xi[c\jjf] gi`Z\%

M`j`k8lZk`fe8Q%Zfd]fiZfdgc\k\c`jkf] gifg\ik`\jkfY\jfc[#k\idjZfe[`k`fej# Xe[XdXgkfk_\XlZk`fe%  J\\pflk_\i\ 28

October 16th - October 22nd, 2008

AZWeeklyMagazine.com


SCOTTSDALE

Eddie V’s (480) 538-8468, 20715 N. Pima Road (DC Ranch) Wednesdays: Margo Reed (vocals), Kenny Poe (keys) and Johnny Carrasco (guitar). 6:30-10:30pm Every other Mon/Tues: Michael Reed (vocals), Kenny Poe (keys), and Johnny Carrasco (guitar). 6:30-10:30pm www.eddiev.com Appian Way Restaurant, (480) 836-7899, 17149 E. Amhurst Drive (off Saguaro Blvd), Fountain Hills October 17th: Dan Delaney Trio October 24th: Armand Boatman Trio with Greg Fishman October 31st: Warren Jones “Bridges” www.appianway.com Barcelona (480) 603-0370, 15540 E. Greenway Loop Thurs/Fri/Sat: Andy Margolis Trio. 7-10pm www.barcelonaarizona.com Nello’s, (480) 946-2020, 7213 E. First Ave. All events 7-10pm October 21st: Barb Catlin October 28th: Dan Delaney www.nellosscottsdale.com Hyatt Gainey Ranch (480) 9913388, 7500 E. Doubletree Ranch Rd. Sun/Mon: McDermand (steel drums). 7:30 – 11:30pm Tues: Mosaico (Flamenco music). 7:30 – 11:30pm Wed/Thurs: Sirocco. Steve Gold (keys), Doug Mann (guitar), Jerry Donato (sax/flute), Mike King (bass), Todd Chuba (drums), and Joe Garcia (percussion). 7:3011:30pm Fri/Sat: Mosaico (Flamingo music). 8 – 12pm Kazimierz World Wine Bar (480) 946-3004, 7137 E. Stetson Dr. Sundays: CBJ Flamenco (World class guitar and dance) Mondays: Margo Reed Band (Jazz and Blues vocalist) Thursdays: Dennis Rowland & the Jazz Experience 9pm to Midnight, $5 cover begins at 8pm October 19th: Jazz in AZ Monthly Party featuring the Stan Sorenson Band. 3-5pm. www.kazbar.net Remington’s (480) 951-5101, 7200 N. Scottsdale Rd. Tuesdays: Danny Long & “Just Us” Band jam night. Long (piano/ vocals), Judy Roberts (vocals/ keybd/bass), Lou Garno (tenor sax), and Gary Carney (trombone). 6-11pm Wednesdays: Judy Roberts-Greg Fishman Duo. Roberts (piano/ vocals), Fishman (tenor sax/flute).

6-11pm Thursdays: Delphine Cortez with Joel Robin & Friends. 6:30 – 10:30pm Fridays: Long-Grale. 6-11pm Saturdays: Long-Grale-Carney. 6-11pm www.scottsdaleplaza.com Voce’ Ristorante & Lounge (480) 609-0429, 9719 N. Hayden Rd Mondays: Jam session with Dennis Rowland with Rachel Eckroth (piano), and Mel Brown (bass). 8:30-midnight. Tuesdays: Sahnas Brothers. 8:30-midnight Wednesdays: Marion Meadows with Eckroth, Brown and Florio. 8:30-midnight Thursdays: Various musicians. 8:30-midnight. Fri-Sat: Khani Cole (vocals), Rachel Eckroth (keys), Mel Brown (bass), and Mike Florio (drums). 9:30-1am. $5. www.voceristoranteandlounge. com Chances Are (480) 994-4338, 7570 E Sixth Ave. (corner of Miller Rd) Sundays: Joe Hopkins Jazz Combo leads jam session. 6-10 pm. Food, dancing. Bobby’s (480) 556-0770, 7122 E. Greenway Pkwy. All events 6:30-10:30pm. Sundays: Steve Denny (piano) Tues/Wed/Thurs: Rich Howard Fri/Sat: Tommy Washington Mastro’s City Hall Steakhouse (480) 941-4700, 6991 E. Camelback Rd. Sun/Mon: Ken Wain. 6:30-midnight.

PHOENIX

Bobby C’s (602) 252-2273, 1140 E. Washington St. Sundays: Papa John DeFrancesco (organ), Dowell Davis (drums) + guests. 2-4pm Mondays: Raul Yanez Organ Trio. Yanez (organ), Dowell Davis (drums) + guests 8-11pm Tuesdays: Raul Yanez’s Zona Libre (Latin Jazz). Yanez (piano), Xavier Yanez (bass), Adam Clark (drums) and Tony Valenzuela (percussion). 9pm. Wednesdays: Raul Yanez Latin Jazz Band. Yanez (piano), Xavier Yanez (bass), and Adam Clark (drums). 8-11pm www.bobbycee.com The Lost Leaf (602) 258-0014, 914 N. 5th St. & Roosevelt Sundays: Jiggle. Jeff Gutierrez (saxophone), Jeff Libman (guitar), John Chapman (bass), and Shaun Lowecki (drums). 9:30-midnight. Mondays: Moseyhorse. Jeff

Gutierrez (saxophone), Jeff Libman (guitar), John Chapman (bass), Shaun Lowecki (drums). 10pm-1am. www.thelostleaf.org Taylor’s Cafe (602) 954-2666, 5053 N. 44th St. Fridays: Jacob Koller (piano) + Vicki McDermitt (vocals). 7-9:30pm www.taylorscafe.com Pasta Pomodoro (602) 923-6001, 4669 E. Cactus Rd. #3A13, Phoenix (SW corner of Cactus/Tatum) Tuesdays: John Vold (guitar) and John Chapman (bass) 5:308:30pm.

CHANDLER-GILBERT-MESA

Bistro at Kokopelli Winery (480) 792-6927, 35 W. Boston St. Thursdays- Saturdays: Live Jazz Music during dinner. www.kokopelliwinery.com D*Vine Wine Bar & Bistro (480) 654-4171, 2837-101 N. Power Rd. All events 6-9pm Sundays: Newton’s Theorem (guitar/cello/vocals duo) Mondays: Larry Schultz Tuesdays: Aebi-Coulson Jazz Duet Wednesdays: John Burak (piano) Thursdays: Brendon Cottrell www.dvinewine101.com

TEMPE

Gold Bar Espresso (480) 8393082, 3141 S. McClintock Drive, #6 Fri & Sun: Jazz Alliance. 7:3011pm Sundays: Scott Anderson’s Classical Guitar & Arizona Guitar Trio. 11am www.goldbarespresso.org John Henry’s (480) 730-9009, 909 E. Elliot Rd. Thursdays: Jared Howe Fridays: Charlene & Race Brown Saturdays: Race Brown Sundays: Aebi/Coulson Jazz Trio. 7-10pm. www.johnhenrysrestaurant.com

GLENDALE

Gaslight Inn (623) 934-9119, 5747 W. Glendale Ave. Saturdays: Delphine Cortez, Joel Robin, and Cleve Huff. 8-11pm. Saturday Overnight Jazz Special available (3 hours of jazz, bottle of wine, dozen roses, luxury guest room, breakfast, late checkout, 2 guests for $129, call for reservations. www.glendalegaslightinn.com

Scottsdale- Dale Yeoman will be providing live entertainment on Sunday October 19th from 12 to 3pm at the El Pedregal. El Pedregal Shops and Dining returns during the fall season with its Wine and Jazz series; a celebration of great food, distinctive wines and live music. Dale Yeoman brings a European flavor to music, including French interpretations of jazz standards and torch songs from her diverse repertoire. The versatility and emotional appeal of her vocals are compelling to audiences of all ages and backgrounds. El Pedregal encompasses 80,000 square feet of space filled with fascinating boutiques, Southwestern apparel, intriguing art galleries, and fun and casual dining. Over 30 shops surround an enticing courtyard and amphitheater, which features a variety of entertainment offerings. This is a free event. El Pedregal Shops and

JAZZ! SECTION

TOP 20 The Best Jazz is Here…

Dale Yeoman Performs at El Pedregal

Dining at the Boulders is located at the southeast corner of Scottsdale Road and Carefree Highway 34505 North Scottsdale Road in Scottsdale. Visit www.elpedregal.com for more information.

Festivals and Events

Sacred Grounds Scottsdale Congregational Church (480) 946-2900, 4425 N Granite Reef Rd. (South of Camelback and east of Hayden Rd.) All events 7:30 – 9:30pm October 16th: Dan Delaney Trio. Delaney (piano), Chris Stewart (sax), Warren Jones (bass), Bobby Flanagan (drums) October 23rd: Ioannis Goudelis & Friends. Goudelis (piano), Mario Mendivil (bass), Dom Moio (drums); October 30th: Fred Forney Quartet. Forney (trumpet), Nick Manson (piano), John Sims (bass), Wes Anderson (drums). www.scucc.com/sacred_grounds.cfm “All That Jazz Series” AJ’s Patio, 20022 N. 67th Ave., Phoenix All events 6-8pm. Free. October 17th: The Roadrunners October 24th: Kirsten Jazz Duo October 31st: Laura Fial Jazz Duo

Mayo Hospital (480) 515-6296, 5777 E. Mayo Blvd., Phoenix All events begin at noon at the hospital atrium. October 21st: Hans Olson (Country Western/ Blues guitar) October 28th: Chris Stewart Trio (Instrumental Jazz) www.mayoclinic.org Mayo Clinic (480) 301-8000, 13400 E. Shea Blvd., Scottsdale All events begin at noon in the clinic atrium. October 22nd: Hans Olson (Country Western/ Blues guitar) October 28th: Chris Stewart Trio (Instrumental Jazz) www.mayoclinic.org El Pedregal (480) 488-1072, 34505 N. Scottsdale Road, Scottsdale All events noon-3pm. Free. October 19th: Margo Reed October 26th: Affinity www.elpedregal.com

AZ WeeklyMagazine.com

JAMN Jazz Series Tempe Center for the Arts (480) 350-2822, 700 E. Rio Salado Pkwy., Tempe October 31st: Delphine Cortez (vocals), Benny Green (piano), Scott Wilson (trumpet), Dwight Kilian (bass), and Dom Moio (drums) tca.ticketforce.com West Valley Art Museum (623) 972-0635, 17420 N. Avenue of the Arts, Surprise All events 7pm. October 16th: Monte Procopio http://www.wvam.org Desert Botanical Garden (480)-481-8818, 1201 N. Galvin Parkway, Phoenix October 17th: Incendio (Latin World Fusion) www.dbg.org.

Cave Creek Wines (602) 482-8600, 21023 N. Cave Creek Rd., Suite 3 (north of Loop 101, Cave Creek and Rose Garden), Phoenix All events 6-8:30pm. October 18th: Inner Journeys featuring Bob Ravenscroft (piano), and Dwight Kilian (bass) www.cavecreekwines.com Teeter House (602) 252-4682, 622 E. Adams St, Phoenix Oct.17th: Sparkle Oct.18th: Mill Avenue Jazz Oct. 24th: Michael Salerno Oct. 25th: Blaise Lantana & Clay Thompson Oct. 31st: Blaise Lantana & Clay Thompson. Halloween costume party www.teeterhouse.com Kerr Cultural Center (480) 596-2660, 6110 N. Scottsdale Rd., Scottsdale October 22nd: ASU Jazz Repertory Band. 7:30pm. $5. Jazz at Noon CGCC PAC Ampitheater 2626 E. Pecos Rd. Chander October 22nd: Chandler-Gilbert Community College Jazz Combo. Noon. Free. www.cgc.edu/arts

October 16th - October 22nd, 2008

29


LIVE! SECTION

day October 19th the Clubhouse on Sun Flatfoot 56 will be at

t u o b A d n A t Kimmaay’s Ou By Kim Naugle

Hello, freaks!

g mers out here but I’m lookin I must admit, I love the sum s an me ather. Cooler weather forward to slightly cooler we (yay!) and if you continue outdoor shows and festivals on some very cool festivals going reading, you’ll see there are endly (sometimes those can this week, and some are kid-fri d ing for everyone this week, an eth som s re’ The ) st! be the be n. they’re happening all over tow s, thms and culture celebration At the forefront of global rhy y aile; a non stop musical journe comes an event called Afro:B nd of World Beat. They have through the international sou in al stylings of Brazil, Cuba, Lat set out to redefine the music s rope, & Africa; merging sound America, Jamaica, Western Eu . ats z, funk, and boogie be from the foreign lands with jaz Gras (8040 E McDowell Rd. in Afro:Baile will be at Club Mardi th m 17 . The show starts at 8:30p Scotssdale) on Friday, October m. Check out myspace.com/ and admission is $5 before 10p . afrobaile for more information Street Dogs, Flatfoot 56, and The street punk sounds of the the Clubhouse on Sunday Time Again will be coming to of th eet Dogs’ fourth album State October 19 in support of Str w. and admission is $13. Visit ww Grace. It’s an all ages show . ace /timeagain, www.mysp street-dogs.com, myspace.com usegigs.com to check out the com/flatfoot56 or www.clubho . band or for more information Make sure to tell them I sent ‘Til next time…

you.

Kimmaay ine.com

eeklymagaz

azw Kim.naugle@

Street Dogs will be at the Clubhouse Sunday Oc tober

Chandler Fall Rhythm Fest is a Free Family Event

Chandler- The Chandler Fall Rhythm Fest is Saturday October 18th in Tumbleweed Park (McQueen and Germann Roads) from 5:30 to 9:30pm. Enjoy an evening of family fun with some of the Valley’s hottest bands while vendors offer a variety of tasty food and beverages. There will also be interactive amusements for children. Bring your lawn chairs and blankets and spend a family-friendly evening listening to the music and watching the grand finale fireworks!

SCHEDULE OF EVENTS

5:45pm -  Gunzawless 7:30 pm -  Cold Shott and the Hurricane Horns 9:00 pm -  Fireworks Finale The Fall Rhythm Fest is presented by SRP, the City of Chandler, and with the support of the Chandler Lions Club.

Rose Hill Drive Hits Phoenix On Tour

Scottsdale- Rose Hill Drive will be performing at Martini Ranch (7295 E. Stetson Drive in Scottsdale) on Saturday October 25th at 7pm in support of their latest effort, Moon is the New Earth, released in June. Brothers Jake (vocals/bass) and Daniel Sproul (guitars/vocals) and Nate Barnes (drums) have toured the world and have been honored to play with some of their idols. The boys did a string of dates opening for The Who in 2007 and they were even joined on stage in Chicago by none other than Pete Townshend, who jammed on the Who classic “Young Man Blues” and Rose hill Drive’s very own “Raise Your Hands”. Rose Hill Drive has had the honor to share stages with everyone from Wilco to Queens Of The Stone Age. They have also performed at a slew of summer festivals including Bonnaroo, Red Rocks, Austin City Limits, the Warped Tour, and London’s Hyde Park Calling. Visit www.rosehilldrive. com or www.martiniranchaz.net for more information.

Musical Happenings at Desert Ridge

30

October 17th: Los Guys (Alternative Band featuring members of the Pistoleros) District Stage, 7-10pm October 17th: Daisy Mallory (Country Western Guitarist) AMC Fountain, 7-9pm October 18th: Hello Swindon (Original High Energy Alternative Band) District Stage, Special time! 5-8pm October 18th: Mary Hoffman (Country Western Guitarist) AMC Fountain, 7-9pm October 19th: Tod & Ethan (Top 40 Cover Duo) AMC Fountain Stage, 2-4pm October 16th - October 22nd, 2008

AZWeeklyMagazine.com

19th


#RAIG,AWRENCE-USIC0RODUCTIONS -USIC0RODUCERÂ&#x201E;3ONGWRITERÂ&#x201E;-IXINGAND-ASTERING%NGINEER

Â&#x201E;/RIGINAL-USIC0RODUCTION Â&#x201E;-USIC!RRANGEMENTS Â&#x201E;)NSTRUMENTALS0ROVIDED Â&#x201E;2ECORDING3TUDIO!VAILABLE FOR0RODUCTION0ROJECTS Â&#x201E;!LL'ENRES7ELCOME

WWWCRAIGLAWRENCEMUSICCOM CONTACTCRAIG CRAIGLAWRENCEMUSICCOM

&

Chandler- Rick Springfield will be performing at the Chandler Center for the Arts on Sunday , October 19th 2008 at 7 pm. Springfield has sold over 19 million records while charting a whopping 17 Top 40 hits to date including â&#x20AC;&#x153;Jessieâ&#x20AC;&#x2122;s Girlâ&#x20AC;?, â&#x20AC;&#x153;Iâ&#x20AC;&#x2122;ve Done Everything for Youâ&#x20AC;?, â&#x20AC;&#x153;Love is Alright Toniteâ&#x20AC;?, â&#x20AC;&#x153;Donâ&#x20AC;&#x2122;t Talk to Strangersâ&#x20AC;?, â&#x20AC;&#x153;Affair of the Heartâ&#x20AC;? as well as the crowd pleasing, arms-inthe-air hit, â&#x20AC;&#x153;Human Touchâ&#x20AC;?. Having performed for millions of fans over the last three decades, and showing no signs of slowing down, Rick continues to play 100 shows a year, sharing his love of performing, unstoppable energy and his unique brand of crowd interaction with thousands of fans each night. Rick Springfield is currently on tour to support his latest CD Venus in Overdrive released in July 2008. The Chandler Center for the Arts is located at 250 N. Arizona Ave. in Chandler. Tickets are on sale now and range from $44 to $62. They are available with no per ticket fees in three ways: online at www.chandlercenter. org, in person at CCA or by phone at 480.782.2680. For more information about Rick Springfield, visit his website at www.rickspringfield.com.

LIVE! SECTION

Rick Springfield Headed to Chandler

=Veen=djg(",Bdc"HVi AViZC^\]iHeZX^Vah&%"XadhZHjc"I]jg &$'eg^XZhZaZXiZYVeeZi^oZgh '#*%YdbZhi^XWdiiaZhVcYe^cih '#*%9V^an>bedgiHeZX^VaVcY'#*%=Z^cZ`Zce^cih 6aa9Vn!:kZgn9Vn

7VcYA^cZje

AVg\ZeVi^dl^i]IKĂ&#x2030;hVcYB^hiZgh ;jaabZcjdeZc"XadhZ Thursday, october 16th , shirley s temple Friday, october 17th sweaty Saturday, october 18th love brokers Sunday, october 19th freddy thunder

)&)':#8]VcYaZg7akYÂ&#x2122;E]dZc^m!6O-*%)-Â&#x2122;>c6]lVij`ZZ_jhiLZhid[>"&%Â&#x2122;)-%,%+"**+)Â&#x2122;lll#X`\g^aa#Xdb AZWeeklyMagazine.com

October 16th - October 22nd, 2008

31


LIVE! SECTION

LIVE! DIRECTORY Thursday October 16th Last Exit Live (480) 557-6656, 1425 W. Southern Ave., Tempe: Thankful Birds and The Starlings. 9pm. $5. www.lastexitlive.com Modified Arts (602) 462-5516, 407 E. Roosevelt Rd., Phoenix: Queen Bee show: The Wanteds, Tugboat, Strange Young Things and The New Royals. Doors at 8pm. $6. www. modified.org Rogue Bar (480) 947-3580, 423 N. Scottsdale Rd., Scottsdale: Field Trip. myspace.com/theroguebar Martini Ranch (480) 970-0500, 7295 E. Stetson Dr., Scottsdale: Burnin Phoenix. www.martiniranchaz.net Mama Java’s Coffeehouse (602) 840-JAVA, 3619 E Indian School Rd, Phoenix: Brandon Schott (Los Angeles) and Amber Norgaard (Tucson). 8pm. myspace.com/ mamajavascoffeehouse Goad Head Saloon (480) 464-8030, 1423 S. Country Club Dr., Mesa: Back Up and Push and Restless Natives. www.goatheadsaloon.com The Sets (480) 829-1822, 93 E. Southern Ave., Tempe: Monkey w/ Dr. Ring Ding and 2 Tone Lizard Kings. 7pm. $10. All ages. www.thesets.com Lost Leaf Gallery (602) 258-0014, 914 N 5th St. & Roosevelt, Phoenix: Try Me Bicycle. www.thelostleaf.org Joe’s Grotto (602) 992-1007, 13825 N. 32nd St., Phoenix: Downward Dog. www.joesgrotto.com

Friday October 17th Last Exit Live (480) 557-6656, 1425 W. Southern Ave., Tempe: Vayden, The Sammus Theory, Wickhead, and Housmans Athletes. 9pm. $8. www. lastexitlive.com. Flickas Baja Cantina (480) 945-3618, 2003 N. Scottsdale Rd., Scottsdale: Chris Parker Project. 9:30pm. myspace.com/ flickasbajacantina Martini Ranch (480) 970-0500, 7295 E. Stetson Dr., Scottsdale: Justin Nozuka, The Gabe Dixon Band and Jay Nash (6:30pm). www. martiniranchaz.net

32

Phase 54 (480) 540-5992, 1700 W. Drake Dr. Tempe: Electronic Sleep, Carey Slade and Friends, In Absentia and A House Divided. myspace.com/phase54tempe

Hardtailz (602) 863-3474, SW Corner of 35th Ave. and Bell Rd., Phoenix: Organ Grinder. www.hardtailzbar. com Mama Java’s Coffeehouse (602) 840-JAVA, 3619 E Indian School Rd, Phoenix: Namoli Brennet (Tucson) and Liz Stahler (Boston). 8pm. myspace.com/mamajavascoffeehouse Modified Arts (602) 462-5516, 407 E. Roosevelt Rd., Phoenix: Stateside presents Artists for Change celebrating the Obama campaign through music, theatre, poetry, prose, speeches and art. Doors at 9pm. $5 www.modified.org Big Fish Pub (480) 449-3474, 1954 E. University Dr., Tempe: Foulmouth, Decibel Fate, Ameliora, Killing Eve, and One Body Too Many. 8pm. $5. 21+. myspace.com/azbigfish. Goad Head Saloon (480) 464-8030, 1423 S. Country Club Dr., Mesa: The Breakfast. www.goatheadsaloon. com Stinkweeds (480) 968-9490, 15 W Camelback Rd, Phoenix: Wild Sweet Orange. 8pm. $5. www.stinkweeds. com Hollywood Alley (480) 820-7117, 2610 W. Baseline Rd., Mesa: Fatigo, Minibosses, Vinfiz and Page the Village Idiot. 9pm. $5. myspace. com/hollywoodalley The Phix (602) 265-4842, 1019 E Indian School Rd, Phoenix: Pierce the Veil w/ Breathe Carolina, Four Letter Lie and Emarosa. www.phixgallery. com The Trunk Space (602) 256-6006, 1506 N.W. Grand Ave., Phoenix: Elmapi, djentrification, and The Vampire Matterlink. www. thetrunkspace.com The Sets (480) 829-1822, 93 E. Southern Ave., Tempe: Hemlock. www.thesets.com Joe’s Grotto (602) 992-1007, 13825 N. 32nd St., Phoenix: Pinky Tuscaderos, WKAF, Hellrancho, Enirva, House of Broken Promises and Razer. www.joesgrotto.com Barwinkles (602) 938-9330, 5930 W. Greenway Rd. #27, Phoenix: Aydenfire. www.barwinkles.com Hammerheads (623) 561-8900, 6718 W. Deer Valley Rd., Glendale: Combo Deluxe (Llory McDonald). www. hammerheadsoceangrill.com

October 16th - October 22nd, 2008 October 16th - October 22nd, 2008

Saturday October 18th Iguana Mack’s (480)-899-6735, 1371 N. Alma School Rd., Chandler: Nineball. www.iguanamacks.com Hollywood Alley (480) 8207117, 2610 W. Baseline Rd., Mesa: Hellrancho w/ The Dark Hearts, Hogjaw and House of Broken Promises. 8pm. myspace.com/ hollywoodalley Last Exit Live (480) 557-6656, 1425 W. Southern Ave., Tempe: Shawn Johnson and the Foundation CD Release Show, Fred Green, Blues Love Undiscovered, and Blaine Long. 8:30pm. $10 (includes free CD). www.lastexitlive.com Martini Ranch (480) 970-0500, 7295 E. Stetson Dr., Scottsdale: Uh Huh Her (8pm, $15) and Rock Lobster (10pm). www.martiniranchaz.net Phase 54 (480) 540-5992, 1700 W. Drake Dr. Tempe: The Myrrors, Drem Tiger, Pacific UV, and Iechus. myspace.com/phase54tempe Hardtailz (602) 863-3474, SW Corner of 35th Ave. and Bell Rd., Phoenix: Organ Grinder. www.hardtailzbar. com The Trunk Space (602) 256-6006, 1506 N.W. Grand Ave., Phoenix: Fizzle Quarterly Concern featuring over 10 hours of music - 40 acts including Wizards of Time, Pools, Stellaluna, Hello The Mind Control, Father’s Day and more. 6pm. $6. www. thetrunkspace.com Mama Java’s Coffeehouse (602) 840-JAVA, 3619 E Indian School Rd, Phoenix: Pedraza. 8pm. myspace. com/mamajavascoffeehouse Modified Arts (602) 462-5516, 407 E. Roosevelt Rd., Phoenix: Born Ruffians, Plants and Animals and Nurses. Doors at 8pm. $11 in adv, $12 at the door. www.modified.org Goad Head Saloon (480) 464-8030, 1423 S. Country Club Dr., Mesa: Just Add Water. www.goatheadsaloon. com The Sets (480) 829-1822, 93 E. Southern Ave., Tempe: The Faceless and Abigail Williams. www.thesets. com Lost Leaf Gallery (602) 258-0014, 914 N 5th St. & Roosevelt, Phoenix: And Two Tacos. www.thelostleaf.org Joe’s Grotto (602) 992-1007, 13825 N. 32nd St., Phoenix: Hellen,

AZWeeklyMagazine.com AZWeeklyMagazine.com

Back From Ashes, Warner Drive, Rejected, Faith and Phunkie Phlowas. www.joesgrotto.com Barwinkles (602) 938-9330, 5930 W. Greenway Rd. #27, Phoenix: Aydenfire. www.barwinkles.com Yucca Tap Room (480) 967-4777, 29 W. Southern Ave., Tempe (Southwest corner of Southern and Mill): The Impossible Ones, The Fed Ups, The Jitters and Creepsville. www. yuccatap.com Hammerheads (623) 561-8900, 6718 W. Deer Valley Rd., Glendale: The Uncalled Band. www. hammerheadsoceangrill.com

Concert Venues Veterans Memorial Coliseum (602) 252-6771, 1826 W. McDowell Rd., Phoenix: October 17th: Blake Shelton and Miranda Lambert October 18th: Weezer w/ Angels & Airwaves and Tokyo Police Club www.azstatefair.com The Clubhouse Music Venue (480) 967-7977, 1320 E. Broadway Rd., Tempe: October 17th: Motive w/ Autumn’s End, Karnage, Rising Pain and more. Doors at 7pm. All ages; 21+ $10, $12 if under 21. October 18th: Brother Ali w/ special guests. Doors at 8pm. All ages. October 19th: Street Dogs w/ Time Again, and Flatfoot 86. Doors at 7pm. $13. All ages. October 21st: Polysics, Jaguar Love (featuring Johnny Whitney & Cody Votolato of the Blood Brothers and Jay Clark of Pretty Girls Make Graves), Black Gold (featuring members of Panic at the Disco, Ambulance Ltd., M. Ward & Shushshush). 8:30pm. $13 in adv, $15 at the door. All ages. October 22nd: MC Chris w/ special guests. www.clubhousegigs.com Rhythm Room (602) 265-4842, 1019 E. Indian School Rd., Phoenix: October 16th: Bob Schneider. Doors at 6:30. $23 in adv, $25 at the door. October 17th: Dutch Blues Invasion w/ Guitar Ray and Mr. Boogie Woogie. Doors at 8pm. $8. October 18th: The Insomniacs. Doors at 8pm. $10. October 19th: High Rollers w/ special guests. Doors at 7pm. $5. October 20th: Benefit show for Lil’ Bit hosted by Bill Tarsha & The Rocket 88’s. Doors at 7pm. $5. October 21st: Bart Davenport (from The Loved Ones) w/ special guests.

Doors at 7:30pm. $8. October 22nd: Boognish Rising (A tribute to the music of Ween). Doors at 8pm. $5. www.rhythmroom.com Orpheum Theater (602) 257-4300, 203 W. Adams St., Phoenix: November 28th: American Theatre Organ Society presents Desert Winds 2008 featuring Ron Rhode. 1:30pm www.friendsoftheorpheumtheatre.org Marquee Theatre (480) 829-0607, 730 N. Mill Ave., Tempe: October 17th: Keller Williams. 7pm. $20 in adv, $22 at the door. All ages. October 18th: Amberlin w/ Straylight Run, Scary Kids Scaring Kids and There For Tomorrow. 6pm. $16 in adv, $19 at the door. All ages. October 19th: Chris Cornell & Timbaland. 6:30pm. $35. All ages. www.luckymanonline.com Celebrity Theatre (602) 267-1600, 440 N. 32nd St., Tempe: October 16th: Amy Grant October 17th: Back in the Day Concert w/ Adina Howard, Case, H-Town, Troop, SHAI and Next & AZ Yet. October 20th: Alison Moyet October 25th: America November 2nd: Travis Tritt Marty Stuart www.celebritytheatre.com Jobing.com Arena (623) 772-3800, 9400 W. Maryland Ave., Glendale: October 21st: Metallica October 24th: Tina Turner November 7th: Carrie Underwood November 23rd: Trans-Siberian Orchestra November 26th: Coldplay December 6th: Celine Dion Taking Chances World Tour December 19th: Cheetah Girls One World Tour December 21st: Sarah Brightman www.jobingarena.com Dodge Theatre (602) 379-2800, 400 W. Washington St., Phoenix: October 24th: Gordon Lightfoot November 3rd: Jackson Browne November 9th: Joe Satriani w/ Mountain featuring Leslie West & Corky Laing November 11th: Alanis Morissette w/ Alexi Murdoch November 16th: Jason Mraz w/ Lisa Hannigan November 22nd: Australian Pink Floyd November 28th: Celtic Thunder www.dodgetheatre.com


Peoria- In the Flesh will be appearing at Skye on Sunday October 19th from 7-10pm. This amazing show can be seen for one night only. Formed in early 2005 by bassist Andy Robbins, this exciting nine piece band performs faithful renditions of Pink Floyd classics that represent all periods of the Floyd’s career. The In the Flesh live concert experience is stunning 2-hour plus show that regularly thrills large and enthusiastic crowds of Pink Floyd fans in the some of the most prestigious music venues throughout Arizona and beyond. This authentic concert experience is delivered with a diverse mix of Pink Floyd’s repertoire performed with stellar musicianship and showmanship by accomplished, professional and dynamic musicians. In the Flesh is comprised of members from international touring

LIVE! SECTION

Pink Floyd Tribute Reaches For the Skye

artists from bands such as Holy Soldier and Death and Taxes. Founding members Andy Robbins (bass, guitar, lead vocals) and Michael Cutting (lead guitar, lead vocals), are joined by Gene Faith (lead vocals, lead guitars), Tim Forkes (keyboards, Hammond B-3, piano, synths programming) Jerry Gray (drums, percussion, vocals), Jeff Jones (saxophone, bass), and backing vocalists Jenn Taber, Patty Lynch and Gigi Dixon. In the Flesh performs faithful renditions of Pink Floyd’s material. From the soaring Gilmour guitar solos to the atmospheric keyboard interludes, to the intense huge female backing vocals - this stellar tribute show absolutely delivers it all! Skye is located at 16844 Arrowhead Fountain Center Drive in Peoria. Visit www. skye-restaurant.com or myspace.com/ inthefleshtribute for more information.

Huge Blowout Sale At Rockzone Records

Be sure to check out Rockzone Records on the southwest corner of Warner & McClintock in Tempe this weekend, as they’re having a HUGE blowout sale! Find ridiculous prices on over 15,000 LP’s, over 10,000 CD’s, thousands of DVD’s, as well as video games, posters, T-shirts, framed items, and LP supplies! Regarded as one of the best in the state in terms of quality vinyl, Rockzone also carries new & classic reissued vinyl titles. You can also pick up the new Icon DVD 1984: Live Bootleg exclusively at Rockzone! Check out their scratch removal service where they remove scratches from CD’s, DVD’s and games for only $2 while you wait! Also, get a free Rockzone T-shirt with any purchase over $100 while supplies last (limited to stock on hand). Relax in the lounge, watch videos and concerts on the TV’s throughout the store, and listen to any used CD or LP before you buy. Rockzone Records: WHERE VINYL LIVES! AZWeeklyMagazine.com

October 16th - October 22nd, 2008

33


LIVE! SECTION

SEE IT LIVE! ,

HAZELWOOD COMEDY ON TAP!S

LIVE MUSIC Presented by Hidden House

Wednesdays

Show starts at 8:15 In the Red Room

â&#x20AC;¢ Home of the Indie Phoenix Comedy Scene â&#x20AC;¢ National Touring Headliners â&#x20AC;¢ No Cover! â&#x20AC;¢ No Drink Minimum! â&#x20AC;¢ $6 Steak Dinner!

Friday, Saturday & Sunday

"EWFSUJTF )FSF HAZELWOODS

THE SCONES ROCKET 88â&#x20AC;&#x2122;s Saturday 10/18 Saturday 9/15

ROCKET 88â&#x20AC;&#x2122;s

THE SCONES Tuesday 10/21

FRANK MACKEY Wednesday 9/19 (Keltic Cowboys)

Wednesday 10/22 SMOOT MAHOOTY

T H U R S DAY S E P T E M B E R 1 3 T H



 

SCOTT JOHNSON CD Release Show w/ THE PERSUADERS â&#x20AC;¢ SAM MARCUS

 

& Other Special Guests

S AT U R DAY S E P T E M B E R 1 5 T H

&# 

1  

     &# 

LANCEAPALOOZA 07â&#x20AC;&#x2122; w/ SHAWN JOHNSON & THE FOUNDATION â&#x20AC;¢ LET GO THOUSAND YARD STARE â&#x20AC;¢ REARDON SLEEPWALK A ROBOT â&#x20AC;¢ CHIME (LA) MATT MOON

  

NICK STAR KARAOKE

 

S U N DAY S E P T E M B E R 1 6 T H

T U E S DAY S E P T E M B E R 1 8 T H

Acoustic Open Mic Night Hosted By JOSH KENNEDY

W E D N E S DAY S E P T E M B E R 1 9 T H

MY PATHETIC HEROS â&#x20AC;¢ FLIGHT TO LONDON â&#x20AC;¢ ON THE SPOT Happy Hour w/ CHIP HANNA UPCOMING SHOW: FRIDAY, SEPT 21ST - 500 HATS â&#x20AC;¢ THE PUBES

PEPPERMINT JAMES â&#x20AC;¢ SOLE FUNCTION 1425 W. Southern Ave Tempe, AZ

(480) 557-6656

SW Corner Southern & Priest REI Shopping Center

34

101 E. JACKSON ST. PHOENIX, (FQQ  PHONE: 602-253-7337

SAY FAREWELL â&#x20AC;¢ SOULAFIDE THE SKACUS â&#x20AC;¢ RELAX ATOMIC F R I DAY S E P T E M B E R 1 4 T H

&# 



&# 

1

   &#

,!"& '/$,--( 0#,2/)"2 %*-.#" 2 */$'#.!%#, &#

+#)&!&$%. 0#,2/#-"2 %*-.#" 2&)"-21#) &# $ $%%" %$ - 

  

%*'( ) *$  ,,,##!+(%.%*(%#

www.lastexitlive.com w w w. m y s p a c e . c o m / l a s t e x i t a z

October 16th - October 22nd, 2008

Where Where You You Always Get A Real Pint! Serving Serving 20 20 oz oz Imperial Imperial Pints Pints

Friday 10/17

J<IM@:<@E;LJKIPJLE;8PJ WWW.HAZELWOODS1STPLACE.COM

Irish Owned Owned and and Operated Operated Irish We show our colors

THE SCONES Friday 9/14

K<8DKI@M@8 N\[$K_lij/$('gd 3626 E. Indian School Road, Phoenix, AZ 602-957-2462

Friday, August 14

LIVE LIVE MUSIC MUSIC EVERY EVERY WED WED â&#x20AC;&#x201C;â&#x20AC;&#x201C; SAT SAT Thursday 10/16

Check us out on YouTube or Myspace at Hidden House Comedy 21 and Over

Hidden House 607 W. Osborn Rd Phoenix, AZ 85013 SE corner of 7th Ave and Osborn Rd.

Shop Dine Play

AZWeeklyMagazine.com

DREW ALEXANDER & TEEN LIFELINE RALLY District Stage 6-10pm

SCOTT & JOHN From HELLO SWINDON (Guitar & Percussion)

AMC Fountain Stage 7-9pm Saturday, September 15

KNEE DEEP EXPERIENCE (R&B, Funk Band)

District Stage 7-10pm

Blues Legend HANS OLSON AMC Fountain Stage 7-9pm Sunday, September 16

TOD & ETHAN (Top 40 Cover Duo) AMC Fountain Stage 2-4pm

THE WATERS Home of the Glasgow Celtic Supporterâ&#x20AC;&#x2122;s Club

GRADY (Easy Listening Keyboard)

Irish Beer Pong starting Oct 14th at 4pm

DESERT RIDGE MARKETPLACE Tatum at Loop 101

Visit www.RosieMcCaffreyâ&#x20AC;&#x2122;s.com 906 E. Camelback Rd. (602) 241-1916

Tuesday, September 18 District Stage 7-9pm

www.shopdesertridge.com

www.OKelleysBar.com FRIDAY, OCTOBER 17TH This Weekâ&#x20AC;&#x2122;s Happenings

RHYTHM EDITION

Mon :9:30PM Texas Hold & Contest TOâ&#x20AC;&#x2DC;Em CLOSE Karaoke

SATURDAY, OCTOBER 18TH Wed: Open Mic With BluZone

TBA

Thurs: Xavierism presents Allison 9:30PM TONorgaard,The CLOSE Sattinger, Amber Latter,Sarah Vanell

Texas Holdâ&#x20AC;&#x2122;em

Fri:Every Dj T Money - 9-Close Wednesday

7pm and 10pm Sat: Karaoke

SEPT 14

BLACK DIAMOND ENTERTAINMENT PRESENTS!

7PM

SEPT 22

KC BLUES BAND â&#x20AC;¢ JAMES KOLE THE BLUES HOUNDS 7PM OCT 6

BLACK DIAMOND ENTERTAINMENT PRESENTS!

7PM

OCT 12

9pm â&#x20AC;&#x201C; close

FLIGHT TO LONDON â&#x20AC;¢ IDLE RED THIS DAILY SUMMER BURNIN PHOENIX â&#x20AC;¢ ROVEEN PEPPERMINT JAMES 7PM

5FNQFt#MPDLT&BTUPG.D$MJOUPDL 2120 W. Guadalupe Rd, Mesa www.bigfishpub.net (480) 756-6069

101 E. JACKSON ST. PHOENIX, PHONE: 602-253-7337

Karaoke

Showcase Sunday. Win Cash. EveryComedy MondayShowcase & Thursday '*4)t&6OJWFSTJUZ 


Full Show Information on www.ClubRedRocks.com

2 Dollar Heinekens

$2 Heinekens

All Night Every Night

LIVE! SECTION

Club Red

Friday 10/17 â&#x20AC;˘ 8pm

rock em sock em presents:

THURSDAY 16

SHIRLEYS TEMPLE Friday 17

SWEATY Saturday 18

LOVE BROKERS Sunday 19

FREDDY THUNDER Happy Hour 3-7 Mon - Sat Late Night Specials 10-close Sun - Thur 1/2 price selected appetizers $2.25 domestic bottles and pints $2 Daily Import Special and $2 Heineken pints All Day, Every Day!

Dueling Pianos! Every Night, All Night Sun-Thu at 8pm Fri-Sat at 6pm

F R I DAY O C TO B E R 1 7 T H

VAYDEN â&#x20AC;˘ THE SAMMUS THEORY WICKHEAD â&#x20AC;˘ HOUSMANS ATHLETES S AT U R DAY O C T O B E R 1 8 T H

SHAWN JOHNSON AND THE FOUNDATION CD Release Show FRED GREEN â&#x20AC;˘ BLUE LOVE UNDISCOVERED â&#x20AC;˘ BLAINE LONG

"EWFSUJTF )FSF

SHELBY JAMES & THE CRYING SHAMES & Guests UPCOMING SHOWS: LANDON SHILL EDMOND FITZGERALD FRI, OCT 24TH: JACK MAVERICKâ&#x20AC;&#x2122;S B-DAY SHOW w/ WHAT LAURA SAYS, THE LOVEBLISTERS SOURCE VICTORIA â&#x20AC;˘ KINCH SAT, OCT 25TH: CASHâ&#x20AC;&#x2122;D OUT & Guests THU, OCT 23RD:

www.lastexitlive.com w w w. m y s p a c e . c o m / l a s t e x i t a z

Jack Ripper, Spiders & Snakes, Impulivie Aggression, Shoved, Adavant, Bomber, Hellen Friday 10/31 â&#x20AC;˘ 8pm

Trick or TRIBUTE

AC/DC Tribute!

B/S, Ozzmosis, Too Fast For Love, Lounge Fly, Voo Doo and Breakout!

PIGEON JOHN Furious Styles Antedote Digable Planets

Sundays â&#x20AC;˘ 5 pm

NOODLES

(FQQ 

presented by Jambonie.com

L.A. Guns L.A. Guns Suicide Circus, Dagger,

10-16 10-23 10-30 11/20

W E D N E S DAY O C TO B E R 2 2 N D

SW Corner Southern & Priest REI Shopping Center

Brandon Reid, South of Somewhere, A Boy Named Sioux, Blue Rose, 74th Street, High Rollers, Jefrey Taylor, Stateline Saturday 10/25 â&#x20AC;˘ 8pm

Blunt Club

Acoustic Open Mic Night Hosted By JOSH KENNEDY

1425 W. Southern Ave Tempe, AZ

Is your sexuality ready to be teased and tantalized? Enticing Adult Dreams...

Thursdays â&#x20AC;˘ 9 pm

T U E S DAY O C TO B E R 2 1 S T

(480) 557-6656

Romantasy CABARET COUNTRY FEST 2008

(480) 706-5564

T H U R S DAY O C TO B E R 1 6 T H

Saturday 10/18 â&#x20AC;˘ 8pm

Friday 10/24 â&#x20AC;˘ 8pm

4142 E. Chandler Blvd â&#x20AC;˘ Phoenix, AZ (In Ahwatukee just West of I-10)

THANKFUL BIRDS â&#x20AC;˘ THE STARLINGS

Huge Load, Savant, Gomi, Lennore and secondtimeever.

PIGEON JOHN 10/16

the NOODLES â&#x2014;? every Sunday

The NOODLES play the ďŹ ne music of the GRATEFUL DEAD every Sunday at 5pm.

2155 E. University, Tempe â&#x20AC;˘ SWC University & Loop 101 â&#x20AC;˘ 480-968-2114 â&#x20AC;˘ ClubRedRocks.com AZWeeklyMagazine.com

October 16th - October 22nd, 2008

35


GAME! SECTION

Cardinals Corral Cowboys in OT Thriller

Phoenix- The Arizona Cardinals season was just given a serious shot of adrenaline with their 30-24 overtime masterpiece over the visiting Dallas Cowboys last Sunday. LB Monty Beisel’s recovery of WR Sean Morey’s punt block was the deciding tally early in overtime, an extra session that would not have occurred had Cards’ Coach Ken Wisenhunt not given in to one of the NFL’s most annoying recent coaching trends. His decision to call timeout just before Dallas kicker Nick Folk’s first field goal attempt from 52 yards out with seconds left in regulation turned out to be a bad one, as the kick was blocked. According to Murphy’s Law as it regularly applies to the Cardinals, Folk was good on his second attempt, and the game appeared to have slipped away into that tragic netherworld of missed opportunities and bad luck that Arizona fans are so familiar with, but not this time. QB Kurt Warner had another solid performance, going 22-30 for 236 yards and 2 TDs (to WRs Steve Breaston and Larry Fitzgerald) and 1 pick, while DT Darnell Dockett and the rest of the defensive line held the Dallas rushing attack to only 73 yards while pressuring Dallas QB Tony Romo into 3 fumbles on the day.

Desert Donut: Sun Devils Shut Out by Trojans

Los Angeles, CA- It’s been a rough year for the Sun Devils football team. USC’s 28-0 victory was the fourth loss in a row for ASU and indicative of a demoralized squad. QB Rudy Carpenter had to leave the game in the middle of the third quarter with his sore left ankle, and the offense could only manage 229 total yards on the day (154 passing, 75 rushing) while converting only 3 out of 18 third downs. The story of the day was USC’s defense, which accounted for three interceptions, including one returned for a touchdown by CB Kevin Thomas. USC QB Mark Sanchez didn’t have his best day, throwing for 179 yards, 1 TD, and 3 INTs. Had he and the USC offense been crisp, the game may have featured an ASU record for margin of defeat. Up next for the Devils are the Oregon Ducks, who sport a 5-2 record and are coming fresh off their bye week.

ARIZONA SPORTS SCHEDULES

Steven Jackson

Intelligence, Dedication, and Resilience: Alonzo Mourning

October 26th at Carolina Panthers Feared Foe: QB Jake Delhomme- 86-142, 1096yds, 5TD passes November 2nd at St. Louis Rams Feared Foe: RB Steven Jackson- 269 yds rushing, 211 yds receiving

NBA star Alonzo “ZO” Mourning petitioned himself into foster care as a ten-year-old, studied his way onto the Dean’s list at Georgetown, while in the NBA he underwent a successful kidney transplant, won an NBA World title, was an NBA All-Star MVP, and became the Miami Heat’s all time leading scorer and won an Olympic gold medal. After a career ending knee surgery last year, he authored a book and, oh yeah, likely will return to the NBA this season. You go, ZO. Find out more from Kevin Pakos, Producer and host of Amazing Performances, which airs M-F, 8-8:30am on KXXT 1010 AM and can be heard live online worldwide.  http://www.azfl.com/ amazingperformances/index.htm

36

October 16th - October 22nd, 2008

AZWeeklyMagazine.com

LaGarrette Blount October 25th Oregon Feared Foe: RB LaGarrette Blount- 7.2yds/rush, 10TDs November 1st at Oregon State Feared Foe: QB Lyle Moevao- 61.3% Comp. pct., 12 TDs


GAME! SECTION

?Xggp?fli 3-7 Monday-Friday

-CleZ_D\el Monday-Friday

)9l[C`^_k&:ffijC`^_k During All College & NFL Football Games

*.?@;<=KMĂ&#x2039;j Fg\e=fi9i\Xb]Xjk At 9am On The Weekends

+/'$)/.$,0''

))*,J%Gfn\iI[%D\jXÂ&#x203A;nnn%[fk^i`cc\%Zfd feGfn\iI[#_Xc]$nXpY\kn\\e9Xj\c`e\Xe[>lX[Xclg\ AZWeeklyMagazine.com

October 16th - October 22nd, 2008

37


GOTO! SECTION

Attention Prescott Businesses: Advertise in AZ Weekly and gain access to over 4 million Phoenix-area residents Phoenix Distribution AND Prescott Distribution

Contact Brian Schreiner Director of Business Development

AZ

DRUM & MUSIC

(480) 584-2513

h u g e se lection

guitars drums keyboards lessons

Prescott’s most unique accomodations Affordable prices • Complimentary Wi-Fi 3 Blocks from Whiskey Row/Downtown 503 s. montezuma street

prescott, arizona 86303

928.717.0157

“Whiskey Row’s ROCKIN’ Irish Pub!”

full line of amps & accessories 2 Locations

3510 E Bell Rd Ste 8 Phoenix, AZ 85032 (602) 482-8500

223 Grove Avenue

(Formely The Drum Shop)

Prescott, AZ 928-771-0515

Sunday and Monday Football Sundays open at 10:00am for Football Round share and a bucket of beer for $15.00 Wear your teams colors for drink special. Come Join the Fun!!

• We carry over 40 different kinds of Irish Whiskey •

• Great view of Courthouse Square • • Irish beers on draught • • Roomy dance floor •

• Gourmet martinis and Signature Ice Cream Drinks •

• Premium well and upscale wine list •

38

112 Whiskey Row (upstairs) Prescott, AZ 86303 • 928.771.0997 October 16th - October 22nd, 2008

AZWeeklyMagazine.com

Craft beer. Fine wines. Profound espresso. Strong coffee. Remarkable teas. Organic local food. Innovative music. Cutting-edge art. Community. Ecology. The Raven Café is your place for all this, and more. Breakfast, lunch and dinner, you will always find what you’re looking for at the Raven Café. Check out our events, menus, and much more at www.ravencafe.com.


Sharlot Hall Museum will sponsor a special free lecture exploring the good old days of baseball in America on Saturday, October 25th at 1pm as a leadin to the next dayâ&#x20AC;&#x2122;s vintage baseball exhibition game in Prescott. J. Stuart Rosebrook, Ph.D., a writer, researcher and historian who lives in Tempe, will deliver â&#x20AC;&#x153;Diamonds in the Desert: Arizona, Baseball and America in 1928â&#x20AC;? at the Museum Center gallery. Both the Saturday lecture and the Sunday exhibition game are part of the Museumâ&#x20AC;&#x2122;s

220 W. Gurley St. (928) 445-4787

Esoji

W. Gurley St.

Whiskey Row (Montezuma)

Open Mon-Sat Lunch: 11:30-2:30 Dinner: 5:00 â&#x20AC;&#x201C; 9:30

Courthouse

80th anniversary celebration. Rosebrookâ&#x20AC;&#x2122;s lecture will focus on the year that professional baseball returned to Arizona after 13 years of town ball and what he calls â&#x20AC;&#x153;outlaw leagues.â&#x20AC;?         â&#x20AC;&#x153;Opening day 1928 was a day of parades and politicians, boosters, and ballplayers, as the bleachers were filled in Tucson and Phoenix with the excitement of Americaâ&#x20AC;&#x2122;s national pastime returning to the Grand Canyon State,â&#x20AC;? Rosebrook notes. â&#x20AC;&#x153;The Arizona State League was a humble

Experience the BEST Sushi & Japanese Cuisine in Arizona

division, sporting four teams in its first year: the Bisbee Bees, the Miami Miners, the Phoenix Senators, and the Tucson Waddies.â&#x20AC;?         Rosebrook will also talk about baseballâ&#x20AC;&#x2122;s big picture. â&#x20AC;&#x153;Baseball was enjoying one of its most popular seasons in the Radio Age,â&#x20AC;? he explains. â&#x20AC;&#x153;The Yankees and the Cardinals were the toast of major league baseball, and Babe Ruth was king.â&#x20AC;?          On the day after the lecture, a pair of retro Arizona baseball teams- the Senators and Bees- will play a vintage baseball exhibition game at Ken Lindley Field, located at 702 E. Gurley St. in Prescott. Admission is by donation and proceeds will benefit Sharlot Hall Museum. Both the Senators and the Bees are modeled after minor league teams of the time, and are non-profit, independent groups of vintage baseball players who use vintage-style uniforms and equipment, including old-style bats, balls, and gloves. For further information, contact Ryan Flahive at Sharlot Hall Museum, (928) 445-3122, or log onto www.sharlot.org.

PRESCOTT

LIVE

Coyote Joeâ&#x20AC;&#x2122;s Southwestern Grill

(928) 778-9570, 214 S. Montezuma St., Prescott Live music from 6-10pm. October 17th: Kenny James October 18th: The Cheektones www.coyotejoesgrill.com

Sundanceâ&#x20AC;&#x2122;s Place

GOTO! SECTION

Lecture Takes a Look Back at Baseballâ&#x20AC;&#x2122;s Heyday

(928) 778-5584, 116 N. Montezuma St., Prescott Live music from 9:30pm-1:30am. October 17th: Sweet Nasty and Field Trip October 18th: Roaming Ambassadors of Goodwill and Carnuba October 19th: Hour of the Wolf, Lewd Acts, Partners in 818 and Hot Skin. 8:30pm. myspace.com/sundancesplace

Lyzzardâ&#x20AC;&#x2122;s Lounge

(928) 778-2244, 120 N. Cortez St., Prescott Live music from 3pm-6pm October 17th: Travelor October 18th: Phantom Radio www.lyzzards.com

Mattâ&#x20AC;&#x2122;s Saloon

(928) 776-2974, 112 S. Montezuma St., Prescott Live music from 9-1:30am. October 12th and 13th: Mac Daddy www.mattssaloon.com

Visit the NEW Lyzzardâ&#x20AC;&#x2122;s â&#x20AC;˘ â&#x20AC;˘ â&#x20AC;˘ â&#x20AC;˘

Newly Renovated New Management Live Music 20 Beers on Tap

â&#x20AC;˘ â&#x20AC;˘ â&#x20AC;˘ â&#x20AC;˘

Firehouse Kitchen Annex

Smoking Patio! Drink Specials Daily â&#x20AC;&#x153;Taste Budsâ&#x20AC;? Pizza Free Popcorn

(928) -776-4566, 218 W. Goodwin St., Prescott: October 17th: Carl Dahlgren (piano) and Max Borjon (sax). 7pm October 18th: Carl Dahlgren (piano). 7pm October 19th: Lightning 4. (jazz) 5-8pm

â&#x20AC;˘ All Wood Dance Floor

The Raven CafĂŠ

120 N. Cortez St. (Just north of the Courthouse)

(928) 778-2244 www.lyzzards.com

928-541-7854 A Proper Drinking Establishment for Gentlemen and Ladies Upstairs-Balcony Overlooking Courthouse Plaza (Elevator) Proprietors: Tommy & Joan Meredith 4.POUF[VNB4USFFUt1SFTDPUU "; AZWeeklyMagazine.com

(928) 717-0009, 142 N. Cortez, Prescott: Live music starts at 8pm. October 17th: Adam Schraderâ&#x20AC;&#x2122;s DJ Revival October 18th: Bob Shmizu and Beginnerâ&#x20AC;&#x2122;s Luck www.ravencafe.com

Hooliganâ&#x20AC;&#x2122;s Pub

(928) 771-0997, 112 Whiskey Row (Upstairs), Prescott: Live music from 8:30pm-12:30am October 17th: Mike Reeves Band October 18th: Mike Reeves Band www.whiskeyrow.us/hooligans/ hooligans.html October 16th - October 22nd, 2008

39


LOOK! SECTION

Holiday Shopping for Guys and Geeks on Your List As late October approaches, retail sales are once again set to skyrocket in correlation with the Holiday season. For gals who need that ‘special something��� for the man or tech-savvy geekazoid in their lives, check out these wonderfully original, unusual gifts available to you with the click of a mouse!

For the Guy… The Nature Lover He’ll wonder how he lived without the Jimi wallet!  The Jimi wallet is a compact, water-resistant alternative that’s perfect for hiking, kayaking, river-rafting, or however he gets his adrenaline going.  It holds just the essentials, like cards and cash, and has a detachable money clip for when he needs to pare down even more.  It’s so slim it actually fits in a front pocket and comes in several translucent plastic colors.  Made from 100% recycled materials, it retails for $13.95. Available at www.katescaringgifts.com The Party Guy Know a guy who loves to get down?  This is definitely for them!  The coolest new group drinking game, Shotsticks allows three people to take a shot or drink a beer simultaneously.  Attach multiple Shotsticks to bring more people in on the fun!  Great for bachelor parties, tailgating, and birthdays.  Huge on the college scene!  Retails for $39.95.  Visit www.shotsticks.com.

The Green Guy Show him that being green isn’t the opposite of luxury.  Give him the tools to pamper himself in the ecologically smart way with Dr. Bronner’s Organic FairTrade Shave Gel and Soap. Made with certified organic essential oils, this shave gel effectively lifts hair for a closer shave and the all natural moisturizers leave skin super-soft.  Fresh scents include lemongrass and tea tree.  Sold at www.katescaringgifts.com in 7 oz bottles for $8.95.

40

October 16th - October 22nd, 2008

…And for the Geek Going Back in Time The Floppy Disk Journal and Notepads offered by Retro Printing are a blast from the past for any techlover.  Recycled paper is bound between two real

floppy disks that make a perfect place to write down all sorts of info.  Made from 100% post-consumer recycled materials, this gift saves trees and puts old technology back to work!  At $7.50 for the 3.5” notepad and $16.95 for the 5.25” journal, these are affordable and fun.  Available at www. katescaringgifts.com.   Who’s Your Mother? These products include business card cases, coasters, clocks, money clips, and even cufflinks for the debonair geek, and are all created from reclaimed mother boards

AZWeeklyMagazine.com

originally designed for computers, televisions, and other electronics. Motherboard Gifts & More boasts nearly fifty products available in several colors. Motherboard’s gift items exploit the intrinsic beauty of technology. They are also fully functional products that make a definitive statement – I’m technology friendly.   Motherboards may suggest sharp edges and bumpy surfaces. Not so of Motherboard holiday gifts. Each is created from material never marred by circuitry soldering. In fact, the boards were never actually installed because they are defective, or deemed obsolete, or part of an unclaimed order. Another reason the product line is Holiday cool: the colors and patterns of circuit boards vary, making each gift item virtually one-of-a-kind.   The bestseller is the business card case, which holds 10-15 cards and fits easily in a pocket or briefcase. Case dimensions are a sleek 2 1/4 X 3 5/8 inches and can be engraved with a name for a personalized touch.

 

The clipboard may be too big to stuff in a stocking, but its large, flat surface makes it one of the firm’s most visually seductive products. Certain to inspire questions – Is that real? Does it really work? – the board stands out dramatically in contrast to snow white paper. Three sizes are available. The two largest accommodate standard 8 1/2 x 11 inch sheets and legal-sized paper. A mini board is ideal for smaller note pads.   Coasters may not seem particularly unique, but this six-piece set will look festive under mugs of eggnog or cocoa, and arrives in a storage tin with a circuit board top.   Holiday Gift suggestions also include spiral journals, photo albums, picture frames, and wall and desktop clocks. The money clip is particularly hip; it makes paper currency look like a brand-new idea!   Geeks will rejoice when they open a Motherboard gift. An epiphany enhanced by the fact that each item is made from recycled material that otherwise would be tossed into a landfill should jingle some bells.   For or more information about Motherboard Gifts & More, visit www.Motherboardgifts.com, E-mail info@ motherboardgifts.com, or call (888) 842-6788.


        

Fruit, Snacks, Chocolates, Gourmet & More

602-246-0672



Bosses’ Day • Offices • Birthdays Anniversaries • Baby • Get Well Sympathy • New Home • I’m Sorry Congratulations • Love • Holidays Theme and Sports Baskets



             

10% off all gift baskets Mention AZ Weekly



      

www.GiftBasketsFlorist.com

      

2009 W Bethany Home Phoenix, AZ 85015

Gift Baskets that Guarantee a WOW

Roadrunner F lorist

ADVERTISE HERE 125,000 readers a week • Valley-wide Distribution Lowest possible rates • Editorial support Superior Online presence • FREE Online Digital Magazine Full-color, no extra charge • NO Zones Expert graphic design assistance

For a FREE phone Quote call:

(602) 405-2630

Happy Up Someone’s Day Beautiful Roses and Fresh Flowers Fast Delivery

$5.00 Off Mention AZ Weekly



  

LOOK! SECTION

Basket Express



 

 





 

 

Call for our Smokin’ Deals

602-246-1271

www.RoadrunnerFlorist.com

Flowers for All Occasions Full Service Florist since 1979

  



2009 W Bethany Home Phoenix, AZ 85015

Your Future is in Your Hands! Start a new career as a massage therapist

• Day or Evening Programs! Redefining the role of your hairdresser

• Graduate in as little as seven months! • Financial aid available to those who qualify.

arizonasmt.com Call a today for & re brochu DVD!

866-272-2698

1409 W. Southern Avenue, Suite 6 • Tempe 9201 N. 29th Avenue, Suite 35 • Phoenix

623.878.4747 • www.thevelvetseven.com • 6750 W. Thunderbird Suite 107 AZWeeklyMagazine.com

October 16th - October 22nd, 2008

41


LOOK! SECTION

ELITE LOYALTY ©2008 L’Oréal Professionnel

Discover this season’s latest trends in hair, beauty and fashion with

S A L O N

MODA FINA hair • nails • skin

4431 N 75th St Scottsdale, AZ 85251 (480) 994-4330 By appointment only I N

T H E

S A L O N S

O F

T H E

W O R L D ’ S

G R E AT

H A I R S T Y L I S T S

Hair for Life!

“Over 35 years combined experience in the Valley.”

Neil P. Superfon, D.O. William Ko, M.D.

$400 OFF with this ad Call for details

Before

After

Laser-Assisted Micrografting Hair Transplants 42

October 16th - October 22nd, 2008

AZWeeklyMagazine.com

(480) 202-3989

FREE Consultations. Financing Available. MedicalHairLossClinics.com


E T AT Are YOU Worth 1 Hour Per Day? Choose your Start Time: 5:30 & 9:30 am Join us for our next 4-Week Camp Starting October 20th Special Beat Breast Cancer Boot Camp on October 11th

(See www.CodePinkBootCamp.com for details)

&

LOOK! SECTION

DE: U L C N I S DIA N A O C I R T LOC A LE, PV, AIX DA EN S T O T H O P C S N.

M O W E N N ! O I T N Burn 500-750 Calories per Hour (Then continue burning throughout the day)

Earn Your Bragging Rights Fit Into Your Skinny Jeans! Full Body Analysis Nutrition Seminar Included Fun, Fun, Fun!

CodePinkBootCamp.com 949-702-7548

AZWeeklyMagazine.com

October 16th - October 22nd, 2008

43


To kick off the product launch, during the month of October, Van Dyke Laser & Skin will offer Clinique Medicalâ&#x20AC;&#x2122;s Optimizing Regimen kit complimentary with the purchase of a laser resurfacing series and at half off with the purchase of a chemical peel or microdermabrasion series. The five-product kit consists of the following: Probiotic Cleanser, Skin Conditioning Treatment, Recovery Week Complex, Optimizing Treatment Cream, and Daily SPF 38. For more details on the promotion or products, call (480) 9485045. For more information on Dr. Susan Van Dyke and her practice, visit www. VanDykeLaser.com.

The products in the Clinique Medical skin care line work together to help improve the skinâ&#x20AC;&#x2122;s receptivity to select cosmetic procedures-chemical peels,

Save $25 on your first visit by calling now. Limited to the first 50 callers

IES t HORSE B"CK RIDING t SPORTING EVENTS t HOUSE P"RTIES t ROCKY POINT t WHITE W"TER R"FTING t SKI TRIP t

microdermabrasions, and laser skin resurfacing treatments such as Intense Pulsed Light (IPL). The products aid in the recovery process by encouraging even skin tone, helping to manage post-procedure redness, and reducing inflammation. All products in the Clinique Medical regime are allergy tested, 100% fragrance free, contain no preservatives, and are formulated with pharmaceutical-grade ingredients.

SINGLE?

JOIN THE CLUB Calendar of 30 Events Per Month

tXXX"EWFOUVSFTOFU

TS t HOUSE P"RTIES t ROCKY POINT t WHITE W"TER R"FTING t SKI TRIP t THE"TER t DINNERS t MOV

Scottsdale- Van Dyke Laser & Skin, a local cosmetic dermatology practice known nationwide for perfecting the latest skin care innovations, announced today the exclusive availability of Clinique Medical skin care line. Clinique Medical, designed to optimize the outcome of non-surgical cosmetic procedures, is the product of an alliance between Clinique, a leader in cosmetic skin care, and Allergan, a leader in medical aesthetics.

THE"TER t DINNERS t MOVIES t HORSE B"CK RIDING t SPORTING EVENTS t HOUSE P"RTIES t ROCKY

LOSE the

up to

5-10 pounds

first week, and up to 20 pounds the

START NOW!

first month

Lose Weight For The Holidays! VISIT ONE OF FOUR LOCATIONS: PHOENIX

PARADISE VALLEY

29 West Thomas Rd. 4614 East Shea Blvd. Suite 201 #D-140 Phoenix, AZ 85013 Phoenix, AZ 85028

602.633.2600 602.485.1000 PEORIA * These are typical results, but results may vary and cannot be guaranteed. Rapid weight loss may be associated with certain medical issues and should only be considered by those who are medically appropriate. Medical supervision and compliance with our program is required. Š 2008 Medi-Weightloss Franchising USA, LLC All Rights Reserved

44

October 16th - October 22nd, 2008

AZWeeklyMagazine.com

POINT t WHITE W"TER R"FTING t SKI TRIP t THE"TER t DINNERS t MOVIES t HORSE B"CK RIDING t SPORTING EVEN

LIFE! SECTION

Van Dyke Laser & Skin Offers Clinique Medical Line

SCOTTSDALE

9069 West Olive Ave. 15090 N. Northsight Blvd. Suite 104 Suite 104 Peoria, AZ 85345 Scottsdale, AZ 85260

623.487.1999 480.596.4014


LIFE! SECTION

AZWeeklyMagazine.com

October 16th - October 22nd, 2008

45


46

October 16th - October 22nd, 2008

AZWeeklyMagazine.com


GROG! SECTION

HAPPY HOUR For more great Happy Hours, visit:

www.barfrogaz.com 16th St. Sports Grill - 3-7pm - $2 Domestic drafts, $2.50 Domestic bottles, $3 wells Carlos Oâ&#x20AC;&#x2122;Brienâ&#x20AC;&#x2122;s - Scottsdale & Phoenix: Drink and food specials in the bar 3-7 and 9-close daily. $2.00 Pints, $3.00 Margaritas. CKâ&#x20AC;&#x2122;s- Mon-Sat 3-7PM, Reverse Happy Hour, Sun-Thurs, 10-Close, ½ Price Selected Appetizers, $2.50 Domestic Bottles and Pints, $2 Daily Import Special and $2 Heineken Pints All Day Every Day (480)â&#x20AC;Ż706-5564

premiums, 75¢-$1 beer.  Selected apps discounted. Reverse HH Sun-Thurs, 9-close - $4 call, well & premium. - (480) 763-6909 Juan Jaimeâ&#x20AC;&#x2122;s - $2.50 Margaritas w/ Compadre Tequila Gold, $2.50 Domestics, Tecate & Tecate Lt Bottles, $3 Imports, $4 Three Olive, Sangria, Wine 480.699.0560 Los Olivos - Mon-Fri 4-7PM, Free Appetizer Munchies, $2.50 Bud, Bud Light, Coors, Coors Light, Miller & Miller Light. $3.00 Margaritas. 50 Cents off Well Drinks - (480)â&#x20AC;Ż946-2256

Cocomo Joeâ&#x20AC;&#x2122;s Mon â&#x20AC;&#x201C; Fri 3pm-7pm $1 Off All Alcohol, Wine and Draft Beer, .50 Cent Off All Bottled beer (480) 538-8008

Maloneyâ&#x20AC;&#x2122;s - 7 Days a Week 4-7pm, $1 Off Drinks, $1 Off Drafts, 1/2 Off Appetizers - (480) 894-2224

Don & Charlieâ&#x20AC;&#x2122;s - $8.50 Margaritaâ&#x20AC;&#x2122;s, $3 Featured Beer, $5 Wine and $11 Martiniâ&#x20AC;&#x2122;s Daily 5:00 - 9:30  - 7501 East Camelback Road Scottsdale, AZ 85251 www.donandcharlies.com

Mickeyâ&#x20AC;&#x2122;s Hangover - 4-9pm Everyday - Half off all munchies, well, wines & beer - (480) 425-0111

DrinX â&#x20AC;Ż- â&#x20AC;ŻTues-Fri 4-7pm $1.75 Domestic Bottles $2.50 Well, $3 BV Wine. Late night specials @ 10pm include Wed Reverse HH, Thurs $3 Three Olives (all flavors) w/ DJ, Fri/Sat specials 10-11pm w/ DJ, Sun $4 Vodka Redbull w/ guest DJ. call 480-423-9434 for directions or visit www. drinxscottsdale.com Fanatics Sports Grill â&#x20AC;&#x201C; 4-7pm & 10pmclose.  $2 pints of Coors Banquet, High Life, PBR everyday.  Mon - Fri: $1 off all pints tap beer and $2 off appetizers. Daily specials: Mon, Thurs & Fri: $1 off flavored vodka drinks. Tues, Thurs, & Fri:  $3 Captain Morgan drinks.  Thurs & Fri: $3.50 Jack Daniels drinks.   Fanatics Friday!...All daily happy hour specials apply! Frank & Lupeâ&#x20AC;&#x2122;s - Scottsdale: Mon-Fri, 4-6pm.â&#x20AC;Ż 1/2 off all appetizers and 1/2 off House Margaritas - (480)â&#x20AC;Ż947-8747 Frashers - Mon-Fri 4-7PM, ½ Off All Appetizers, ½ Off All House Drinks, House Wine & Beer - (480) 429-9544 Hammerheads - Mon-Fi 2-6 - $2 Domestic Draft, Well, House Wine - $3 Appetizers - Happy Hour During ALL NFL GAMES! (623) 561-8900 Hazelwoodsâ&#x20AC;Ż - 2pm-7pm, Mon-Fri.â&#x20AC;Ż Reverse Happy Hour 11pm - close MonFri.â&#x20AC;Ż $3.00 monster domestic beers.â&#x20AC;Ż $3.00 premium well drinks, .25 cent wings, $5 one-topping pizzas.â&#x20AC;Ż Every day: A new 25oz premium mug of beer. (602)â&#x20AC;Ż9572462 www.Hazelwoods1stPlace.com Jillyâ&#x20AC;&#x2122;s â&#x20AC;&#x201C;Chandler - 4-7pm Mon-Fri, $5 specialty martinis, $1 off all well &

Ninoâ&#x20AC;&#x2122;s Pizza - Sat & Sun 3-close, $2 Domestic Bottles, $2.50 Bottles Select Imports (623) 878-7777 Oâ&#x20AC;&#x2122;Kelleyâ&#x20AC;&#x2122;s -Mon - Fri, 7am-7pm (Mondays 9am), Reverse Happy Hour, 10pm - close Monday/Tuesday.â&#x20AC;Ż $2.25 domestic bottles and drafts, $2.50 well, $2.75 small pitchers, $5.75 large pitchers.â&#x20AC;Ż - (480)â&#x20AC;Ż756-6069 Pearl - Tues - Sat â&#x20AC;&#x153;Beat The Clockâ&#x20AC;? Happy Hour:  From 4-5pm, get 50% off entire bill. From 5-6pm get 40% off. From 6-7pm, get 30% off.  Reverse Happy Hour: Mon - Sat, 10pm - Midnight,  50% off ALL Drinks, 25% ALL food. Red Owl - 3pm - 7pm, 7 days a week, $1.00 off all drinks, $2 happy hour menu 480-968-2114 Rock Bottom â&#x20AC;&#x201C; $3 Happy Hour: $3 pints, well drinks and house wine, $3 Minitinis 11 to select from, $3 food specials including our full size Angus Burger, pizzas and more!  3:30-6:30 Mon-Fri. 10PM-Close Every night of the week. All day Sunday and throughout all NFL games. Call to Reserve space for office party and group functions 480-598-1300. Rosie McCaffreyâ&#x20AC;&#x2122;s Irish Pub Regular Happy Hour - Mon-Fri 4-7pm, $1 off well, .75 off bottled beers, $1 off Imperial 20 oz pints.â&#x20AC;Ż â&#x20AC;ŻLate Night Happy Hour - Sun-Wedâ&#x20AC;Ż 11pm-close,â&#x20AC;Ż $2.50 well, $1 off Imperial 20 oz pints. - (602)â&#x20AC;Ż2411916

Sandbar - Happy Hour Everyday from 3pm-7pm. $1.50 off all drinks.  $2.75 domestic bottles and imported bottles *Select Appetizer Menu Items 1/2 price during Happy Hour San Felipes Cantina --Tempe Happy Hour 4-7pm Every day 1/2 price drinks & select appetizers. 2Fer Tuesdays, buy one combo meal, get another FREE. Wet Wednesdays - Live Music on the Patio. 3Some Thursdays - 50 cent BEER NEVER A COVER  480-736-TACO (8226) Opening Soon -Desert Ridge Marketplace Skeptical Chymist -Everyday 4pm â&#x20AC;&#x201C; 7pm, $3.50 Well Drinks, $3.00 Domestic Bottles, $1.00 Of All Other Draft Beer, $2.00 Off House Wine (Stone Cellars), $2.00 Off All Appetizers Call To Reserve Space For Office Party And Group Functions 480.609.8677 SKYE - 7 Days, 3-6pm, House wines $4, $2.50 Bud, Bud Light, Coors Light, Miller Light, Michelob Ultra. $3.50 Heineken, Amstel Light, Corona, Stella, Blue Moon.  $3.50 wells, $5 Well Martinis, Cosmos, Manhattans, $7 Patron Silver Margs, $4 Jagermeister. South Beach â&#x20AC;&#x201C;Happy Hour, Half Price Select Appetizers, Half Price Well Drinks, Half Price Draft Beer, Half Price House Wines - 480.990.1777 Sutra Sushi (Barcelona) 4-7pm Everyday - 1/2 off specialty martinis.  Selected apps discounted.- (480) 355-2626 Temple Bar - MON-FR 3P.M. TO 7P.M. $3 Draft Beers, $1 Off Bottled Beers 1/2 Price Well Vodka, Gin & Rum, $5 14 Hands Chardonnay, Merlot & Cabernet (480) 429-4520

"EWFSUJTF )FSF

The Big Bang - 5-8pm  Fri/Sat - All Drinks $2-$3- (480) 557-5595 The Library Bar & Grillâ&#x20AC;Ż Mon - Fri 4pm - 7pm $1 Tacos, Half Price Appetizers $3 Well, Wine, Domestic Drafts & Domestic Bottles, $4 Import Drafts & Import Bottles Uncorked - The Unpretentious Wine Bar.  3:30 to close...(Mon) 1/2 off glasses and flights. (Tues) Retail Bottle Night. (Wed)  $5 off Cheese trays & wine bottles. (Thurs) $2.50 Draft Beer.  (480) 699-9230. Upper Deck Sports Grill â&#x20AC;&#x201C; Call venue for daily specials (480) 941-9333

(FQQ 

Saketini - 5-6:30 pm - $2 well, $1.50 Dom Draft, 20-30% Off Selected Food Items. 480-615-6000

AZWeeklyMagazine.com

October 16th - October 22nd, 2008

47


© 2008 PJI, Inc. CPO81 Offer good for a limited time at participating Papa John's restaurants. Additional toppings extra. Not valid with any other coupons or discounts. Limited delivery area, charges may apply. Customer responsible for all applicable taxes. Prices may vary in Alaska and Hawaii. © 2008 Papa John's International, Inc. All Rights Reserved. TM & © 2008 Lucasfilm Ltd. All Rights Reserved. Used Under Authorization.


AZ Weekly Issue 42